Copyright: ¾ HawkNet, Inc.


Help Contents
NetTune Help Index

NetTune Introduction

NetTune Introduction

NetTune User Interface

Menu Commands

Dialog Boxes

Types of NetTune Icons

Files Created by the NetTune Software

Reference and Support Documentation

Quick Start Dialog Box

Using the Quick Start

Modifying the Default Recording Intervals

File Server

DeskTop

Configuration

Using SmartTune

SmartTune Overview

Modifying Set Parameters Manually

Modifying Set Parameters Through Tune Files

Scheduling the Tune files

Modifying Set Parameters Through SmartTune

Having SmartTune Control Optimization

Disabling SmartTune

File Menu

File Menu Overview

Edit Menu and Toolbar

Editing Overview

Keyboard Navigation

Edit Menu

Toolbar

Tune Menu

Tune Menu Overview

Set Parameters Command

Creating a New Tune file

Communications Set Parameters

Memory Set Parameters

File Caching Set Parameters

Directory Caching Set Parameters

File System Set Parameters

Locks Set Parameters

Transaction Tracking Set Parameters

Disk Set Parameters

Miscellaneous Set Parameters

Time Tune Command

SmartTune Command

SmartTune Tuning Options

SmartTune Quick Analysis

SmartTune Activity Log

SmartTune Performance Indicators

Information Menu

Information Window Overview

Server Configuration Command

Printing Configuration Topics and Reports

Selecting Servers from the DeskTop or Groups

NLMs Loaded Command

SET Parameter Values Command

Connections Summary Command

Statistics Menu

Statistics Menu Overview

Network Statistics

Disk Statistics

Connection Statistics

Utilization Statistics

Volume Statistics

LAN Segments Statistics

Memory Statistics

Free Space Statistics

Read Ratio Statistics

Cache Buffers Statistics

Customize Command

Save Customize Command

Recording Intervals

Maps Menu

Maps Menu Overview

NLM Memory

Memory Pool

Tools Menu

Tools Menu Overview

NLM Install Command

RCONSOLE Command

Options Menu

Options Menu Overview

Save Settings on Exit

Group Management

Deleting server icons in your DeskTop group

Login Command

Logout Command

Login Status Command

Down Server Command

Toolbar and Status Bar Command

Window Menu

Window Menu Overview

Cascade Command

Tile Vertical Command

Tile Horizontal Command

Arrange Icons Command

Application Windows Commands

Help Menu

The Help Menu

The Help Icons

Printing Help Topics

Error Messages

Startup Errors

Server Related Errors

Parameter Related Errors

Windows Related Errors


NetTune Introduction

NetTune™ is designed to help the network administrator improve Novell network performance by monitoring and reporting the activity on the NetWare file server.  It accomplishes this task through the use of the Windows client application and the NetTune NLMs running on the NetWare file server.

The server icons on the NetTune desktop represent those servers which are running NetTune and can be tuned. You can select a server to be managed by clicking its icon (the server name will highlight). The menu items can then be used to configure the  server.

SmartTune is a powerful and revolutionary feature of the NetTune software. SmartTune's NLM was designed as an add-on module to enhance NetTune's software and provide a total solution for NetWare optimization.

SmartTune's sophisticated artificial intelligence it is able automatically adjust set parameters on the fly, based on real-time data collected.

 As SmartTune detects changes, in real-time, it will make modifications accordingly, giving maximum optimization for you network.  This optimization helps eliminate bottlenecks or potential dangers involved with pushing the envelope on your operating system.  It provides this protection and optimization in tangible and intangible ways.  The main advantage of the SmartTune module is providing optimization while you carry on with administration duties, without having to worry about manually adjusting parameters.


NetTune User Interface

This section briefly describes the components of the NetTune application user interface. The user interface windows are similar in appearance, however, the number of elements such as menus, commands, options, and dialog boxes will vary depending on the active window. For a detailed review of Windows, reference your Microsoft Windows™ User Guide,

•	The Control Menu Box is used to resize, move, maximize, minimize, close windows, and switch to other window applications.

•	The Window Title describes the title of the currently active window.

•	The Window Title Bar is used to display the name of the window title.

•	The Minimize Button reduces the current window to an icon.

•	The Restore Button returns the window to its previous size.

•	The Menu Bar lists all available menus for the current window.

•	The Tool Bar lists all available tools for the current window.

•	The Application Window is the NetTune desktop.

•	The Application Icons represent manageable objects on the NetTune desktop.

•	The Status Bar displays information on the current menu selection.


Menu Commands

Menus on the menu bar are used to display groups of NetTune commands.

Common Menu Conventions	Description
A dimmed command	Command not currently available.
Ellipsis (...) following a command	A dialog box will appear when this command is chosen.
A check mark (√ ) next to a command	Command currently in effect.
A triangle (  ‰) following a command	A cascading menu will appear when this command is chosen.
In the Window menu bar, each of the listed commands contains an underlined letter somewhere within the command name. If the key corresponding to the underlined letter is pressed while holding down the [Alt] key, that pull-down menu will be displayed.

Many commands listed in the cascading menus have key combinations shown to the right of the command. Sequentially pressing the indicated two keys will select the command.


Dialog Boxes

NetTune uses a dialog box to request or supply information. Select a menu command followed by an ellipsis (...), and a dialog will appear.

There are several types of dialog box options.

Dialog Box Options	Description
Command Push Buttons	Initiate immediate action.
Text Boxes	Allow text insertion into entry field.
Selection Boxes	Display a list of choices.
Pull-down Selection Boxes	Display a list of choices.
Radio Buttons	Select a mutually exclusive option.
Check Boxes	Select multiple options.


Types of NetTune Icons

An icon is a graphical representation of a manageable NetTune object that can be selected and opened.

There are five different NetTune Icons, one to start the program from windows, and four to represent running NetTune applications

Related Topics:

NetTune Program Icon

File Server Icon

NCF File Icon

Statistical Report Icons

Information Text Icon


NetTune Program Icon

To start the NetTune program, you double-click on this icon. When the NetTune application runs, it restores the NetTune desktop to its previous state.


File Server Icon

File servers are represented by the server icon. When the icon is selected, the menu bar reflects the actions which can be performed on a server.  The NetWare version number (example 3.12) will appear on the icon.

By selecting a server icon, (the server name will highlight), you can then use the Menu items to configure NetWare SET parameters on the fly.


NCF File Icon

NCF files are read at start-up by the NetWare operating system.  Some NetWare SET  parameters can only be set in an NCF file. NCF files are accessed by selecting a server and using the File pull-down menu.  NCF files can be edited and saved.


Statistical Report Icons

Stastical reports, either custom on predefined, show server activity in real time or historically.  Once minimized, these reports are represented by the Report icon.

This data base on the server is continually updated by  the NLMs, and contains a history of server activity since the NLM was loaded. Report time intervals can be adjusted to any value.


Information Text Icon

The Information Text Icon represents a text report found on the Information menu pulldown.  This icon differs from the statistical report icon which represents historical information.


Files Created by the NetTune Software

Below is a breakdown of the files that are created by NetTune and SmartTune.

On the Client Side:

After NETTUNE.EXE  is running it will create two files and place them in the NETTUNE directory, these files are:

•	NETTUNE.INI - This is NetTune's initialization file.  This file contains all the Group, Servers, and Desktop preferences and information.

•	NTMENU.INI  - This is NetTune's menu file.  This file contains all the saved custom report names, and will display them in the Statistics Pull-down menu.

On the Server Side:

After NETTUNE.NLM  is running on a file server it will create three files and place them in the SYSTEM directory, these files are:

•	NT$HIST0.NTD - This file collects short term historical and statistical information.

•	NT$HIST1.NTD - This file collects long term historical and statistical information.

•	NT$INIT.NTD - This file contains the interval and duration times that are used by

•	NT$HIST0.NTD and NT$HIST1.NTD.

SMARTUNE.NLM will create three additional files and place them in the SYSTEM directory also, they are:

•	NT$TT.NTD - This file contains scheduled Timed Tune job information.

•	NT$ST.NTD - This file contains all of the SmartTune options.

•	NT$LOG.NTD - This file contains a history of the changes made to the set parameters and all activity on the server.


Reference and Support Documentation

The following publications contain additional information related to theory of operation of the NetTune program:

•	Microsoft Windows™ User's Guide

•	Novell NetWare™ Version 3.11 Concepts Manual

•	Novell NetWare™ Version 3.11 System Administration Manual

•	Novell Support Encyclopedia on CD-ROM


Using the Quick Start

If this is a first time installation, or you completed installing the software on the client side, double-click on NetTune's icon.

NetTune's Quick Start dialog box will appear.  This dialog box provides you with optional, required, and recommended steps for getting started with NetTune.

When the first time install is completed NetTune's Quick Start dialog box will not display again.  You can recall the Quick Start dialog by selecting Quick Start from the Help pull-down menu.


Modifying the Default Recording Intervals

To enjoy the full potential of the NetTune product it is recommended that you set up the preferred historical recording intervals before you install the NLM software (The reason for this is once the NLM software is installed, and loaded, the Recorded Interval database files start their data collecting.)  This data collection is based on the default values NetTune has supplied (see the following table).

Default times for Interval and Duration

	Interval	Duration
Real Time	5 seconds	3 minutes
Short Term	5 seconds	24 hours
Long term	5 minutes	90 days
If the supplied values are not sufficient for your individual need, change the times to intervals that are more meaningful for you.  When the intervals are established, it's time to collect server data for interpreting performance.

The preferred historical recording intervals, whether they are Real-Time, Short Term, or Long Term use two specific time collecting coordinates to allow NetTune to collect and record data.  The two user defined coordinates are Recording Interval and Recording Duration.  The Recording Duration collects the data for the user's defined time period.  The Recording Interval defines the how many times NetTune collects (or records) the data during the Recording Duration.

NetTune's NLM keeps three historical records of server activity:

NT$HIST0.NTD  This file contains short term  recording interval information.  When this file reaches it's Maximum Size (defined by the Recording Intervals dialog box) it will self purge the oldest data in the file.  This is done so the file doesn't grow out beyond control.

NT$HIST1.NTD  This file contains long term recording interval information.  When this file reaches it's Maximum Size (defined by the Recording Intervals dialog box) it will self purge the oldest data in the file.

Real-time temp file  A temporary file stored in the computer's memory containing the real-time intervals.

You can control the recording intervals for each of these records.  Read the following instructions to select your preferred historical recording intervals.

Click on the number 2 button from NetTune's Quick Start dialog box.  This allows you to access and modify the default preferred recording intervals.

When the Recording Intervals dialog box appears you need to select a time range, called the Recording Duration.  The Recording Duration defines a specific time period in which server data is to be collected until.  You also need to select a collection time, called a Recording Interval. The Recording Interval defines how many times, during that recording duration, NetTune's NLM will collect server data.

The Maximum Size and Current Size fields (found in the Recording Interval dialog box under Current Recording Interval for Selected Server) are the sizes of the Recording Interval data base files.  The Recording Interval database files are created when a Recording Interval or Recording Duration time is supplied for Real-Time, Short Term, or Long Term data collection (see the following table).

Recording Interval database file names

Type of Statistical Information	Recording Interval file name
Real-Time	A real-time temporary file in memory
Short Term	NT$HIST0.NTD
Long Term	NT$HIST1.NTD

The Maximum Size field is shown in bytes.  The Maximum Size field is based on a pre-calculated file size which comes from the Recording Interval and Recording Duration times that were chosen.   If you change the Recording Interval or Recording Duration time for Real-Time, Short Term, or Long Term data collecting, the Maximum Size field will automatically recalculate and display a new allocated Maximum Size value for that collection period.

The Current Size field is shown in bytes. This is the Recording Interval database file's current size.  The Current Size field gives you an idea of how much disk space your current Recording Interval database file is occupying.

To change the values use the scroll bars to scan the selection choices.  When the appropriate times are established click on the SET button (to save yours changes) then click on the Close button

The following table shows the maximum and minimum time you are allowed to select for Recording Interval and Recording Duration times.

Maximum and Minimum times for Recording Interval and Duration

	Interval	Duration
Real Time	5-30 seconds	1-10 minutes
Short Term	5-30 seconds	1-48 hours
Long term	1-60 minutes	1-400 days


File Server

About the file server install

Getting Started

Additional Notes on the NLM Install


Chapter 3  Quick Start Dialog Box - File Server - About the file server install
About the file server install

NetTune is shipped with five NLMs and two NCF files:

•	NET31X.NLM - The NetWare 3.1x data collection module.

•	NETTUNE.NLM - This contains the engine for collecting the historical database information.

•	DPATCH.NLM - This disk statistics v1.00 patch contains the Novell fix to NetWare version 3.11.  When used it allows statistical disk information to be collected. This NLM is required if you are running NetWare version 3.11.

•	NTCONVRT.NLM - This NLM converts NetTune version 1.20 databases to NetTune version 2.00 databases.

•	SMARTUNE.NLM - This NLM contains the engine for parameter setting, smart tuning, and time tuning.

•	TUNE.NCF - NetWare NCF file used to load the NLMs.

•	UNTUNE.NCF - NetWare NCF file used to unload the NLMs.


Chapter 3  Quick Start Dialog Box - File Server - Getting Started
Getting Started

Installing the NetTune file server software.

NOTE

NetTune automatically loads the NLMs into the SYSTEM directory of the selected file server's SYS: volume.

1.	Click on the number 3 button from NetTune's Quick Start dialog box.  This allows you to install NetTune's NLM to one or more file servers.

2.	NetTune's NLM install dialog will appear.  Under the Show Servers selection box you will see three options:

•	Not Running NetTune - This displays all the file server's that currently do not have NetTune's NLM loaded.

•	Running an Old Version of NetTune - This displays all the file server's that currently have NetTune's NLM loaded, but are running an older version of NetTune.

•	ALL - This displays all the file servers.  It has no concern for NetTune.

Since this is a first time install select the Not Running NetTune button.  In the "Servers" box you should see a list of file servers that are not currently installed with NetTune.

Select the file server(s) you wish to load the NLM software on to.  The Installation program allows you to make multiple file server selections.

To select a file server, place the mouse pointer over the server's name and click on the left mouse button once.  After your server selection is made the Install button becomes selectable.

Click on the Install button.

3.	During the NLM install process an installation meter will display the percentage of completed installation.

When the NLM installation has completed the RCONSOLE request dialog box will appear.

Selecting Yes to the RCONSOLE dialog box causes NetTune to automatically load Novell's RCONSOLE.  This provides you with a user interface for loading NETTUNE.NLM or SMARTUNE.NLM.

Click on the Yes button.

If RCONSOLE fails to load it might be for one of the following reasons:

•	Not having console rights to that file server.  Check that you are logged in as SUPERVISOR or that you have console rights as a user.

•	Not enough memory available.   Try freeing up some resources to release some available memory.

•	The RCONSOLE.PIF contains the wrong path.   Make sure the program information file has the correct path to RCONSOLE.

4.	When the file server prompt appears you can enter the following commands to get NetTune operating.

If you desire tuning performance, load the SmartTune module by typing:

TUNE

NOTE to SmartTune user's

The TUNE.NCF file automatically loads SMARTUNE.NLM in read/write mode but with tuning disabled.  To disable the write mode, edit the TUNE.NCF file and remove the "W" option..


Chapter 3  Quick Start Dialog Box - File Server - Additional Notes on the NLM Install
Additional Notes on the NLM Install

NetTune depends on other NLMs.  When TUNE.NCF is executed at the file server, dependent NLM's are automatically loaded.  This eliminates the manual loading of NLM's from the server's console.

The UNTUNE.NCF file automatically unloads the NLMs in the reverse order that they were loaded.

To automate the task of loading NetTune or SmartTune's NLM, place the load command at the bottom of your AUTOEXEC.NCF file.


DeskTop

NetTune allows you to organize your servers into groups.  Groups allow you to manage more servers, while at the same time reducing clutter on the NetTune desktop.  Read the following steps to associate a file server with NetTune's default group called DeskTop.

1.	Click on the number 4 button from NetTune's Quick Start dialog box.

2.	The Group Management dialog box will appear.  In the NetTune Servers window is a list of servers loaded with NetTune's NLM.  Highlight the server you wish to place in the DeskTop group by clicking on the file server's name.

3.	The Add and Add All buttons are nowselectable.  Click on the Add button.  This will add the selected file server to the DeskTop group.  If you desire to add all the NetTune servers to the DeskTop group then click on the Add All button.

4.	Once the file server has been added to the DeskTop group click on the Close button to save the selection.

5.	Read the chapter Group Management for more information on hiding and showing icons, creating additional groups, deleting old groups, and renaming groups.


Configuration

To get a quick review of the server's configuration (which is recommended), select the number 5 button from the Quick Start dialog box.  You can view vital server configuration statistics.  This information is in Real-Time and is updated every five seconds.

From the Server Configuration dialog box select any server in the Server's selection box.  Detailed server configuration information will become accessible for that selected server.  Information in the following areas can be found:

•	NetWare

•	LAN

•	Connections

•	Volumes

•	NLMs

•	Set Parameters

•	NetTune

NOTE

Only servers running SmartTune's NLM will be visible in the Servers selection box.

To view the server's configuration:

1.	Click on the number 5 button from NetTune's Quick Start dialog box.  This allows you to review vital Server configuration statistics.

2.	The Server Configuration dialog box will appear.

The Server Configuration dialog box allows you to select specific file servers for viewing configuration information.  The Servers selection box, located at  the bottom left of the Server Configuration dialog box, displays the DeskTop icon representing the group that contains your file server(s).

DeskTop may contain a single file server or many file servers.  The number of file servers associated with the DeskTop group depends on:

1.	How many file servers have the NetTune NLM loaded on them.

2.	How many of those NetTune NLM installed file servers have been added to the DeskTop group.

Related Topics:

Selecting Information from the DeskTop


Chapter 3  Quick Start Dialog Box - Configuration - Selecting Information from the DeskTop
Selecting Information from the DeskTop

To view Configuration Information (for a particular server, which belongs to the DeskTop)  we need to know how selections are made in NetTune.  Our example selects Connection Information for a file server associated with the default DeskTop group.

1.	Click on the server's icon in the Servers selection box.

NOTE

NetTune's default group, DeskTop, automatically displays its list tree expanded.  This is so you can view all the file servers associated with the DeskTop group.  For other groups the list tree is not expanded.  You need to double click the group's icon to expand the list and view the file servers associated with that particular group.

2.	Select the type of information you wish to view by selecting a topic from the Information selection box.  For this example we selected Connection Information.

3.	Connection information for the selected file server will now display.


SmartTune Overview

The SmartTune command is a powerful and revolutionary feature of the NetTune software. SmartTune's NLM was designed as an add-on module to enhance NetTune's software and provide a total solution for NetWare optimization.

The Tune pull-down menu located on NetTune's menu bar allows you to optimize network performance.  The following three methods show how you can modify a server's set parameters.

1.	Manually adjust internal NetWare operating system's set parameters through NetTune's Graphical User Interface.

2.	Create custom tune files, and schedule parameter changes through those custom tune files.

3.	Have SmartTune automatically adjust server(s) set parameters on the fly.

In this chapter we will apply these three methods to modify a server's set parameters.  There will be a section for each method.  In the case of scheduling Tune files, the process will include an actual walk-through on modifying set parameters. The flexibility in controlling set parameters is completely your choice.  For additional information on SmartTune read the chapter Tune Menu Introduction.


Modifying Set Parameters Manually

The Set Parameters command is used to modify set parameters or create custom Tune files (containing set parameters modifications).  Modifications are made through the Set Parameters dialog box.

To modify Set Parameters manually you need to:

1.	Click on Tune pull-down menu from NetTune's menu bar.

2.	Select Set Parameters from the Tune pull-down menu.

3.	When the Set Parameters dialog box appears click on the category that contains the Set Parameters you wish to modify.  Select the category from the Categories selection box on the top left of the Set Parameter dialog box.

4.	Make the change to the set parameter by scrolling through the selections with the up and down arrows or type the desired value into the text window.

5.	Click on the Set button to save those parameter changes to the Server's memory or NCF files.  The Set Parameters Function Successful dialog box will appear.  Click on the OK button.

6.	When fininshed modifying set parameters click on the Close button to exit .


Modifying Set Parameters Through Tune Files

What are Tune files and Time Tuning

Tune file Project

Creating the Tune files


What are Tune files and Time Tuning

Along with SmartTune's many features SmartTune has the ability to schedule pre-defined files, called "Tune" files,  to run (unattended) at specific times.  These Tune files contain the set parameter changes for the file server's configuration, and they can be identified by their .NTT extension.

The process of scheduling tune files is called, "Time Tuning."   Through the Set Parameters dialog boxes, the administrator can modify any set parameters in a tune file, then schedule these parameters changes to automatically run on the server at a specific time of day

This feature allows you to tailor server operation to a certain need such as backup during the evening, or database manipulation during the day.  The Tune files are created and stored in the server's SYS:SYSTEM directory, and are used by SMARTUNE.NLM.

When creating a Tune file, and determining what set parameters to alter, use the custom graphed historical data to determine what set parameters you should alter for maximum optimization.

By keeping a history of server information over the day, you can chart the file server's utilization, thereby identifying the times when the server is handling heavy traffic or when the server is hardly utilized.  Once you have identified the utilization times, you can start to change the set parameters that you feel will optimize your file server.


Tune file Project

To demonstrate the ease and simplicity in using Tune files to automatically fine tune your network, you need to understand how to create a tune file.

Backing up data on the LAN is a critical issue, and administrators are often looking for ways to enhance backup throughput, hence, our project will focus on the issue of increased performance for backups.

The following is an example of a tuning job everyone can use on their file servers to see an increase in backup performance. For our example we will assume the nightly backup begins at 11:01 p.m. and completes at 5:55 a.m, and we will assume the current server's set parameters are NetWare defaults.

The first step of our tune file project will require you to create two tune files.

•	BACKUP.NTT - This file will contain the modified set parameter changes that will increase backup throughput.  This file will be scheduled to run before your backup begins.  It automatically adjusts the set parameters, causing faster backup throughput.

•	RESET.NTT - This Tune file will contain the default NetWare set parameters.  This file will be used to set the selected file server back to its default configuration, after the backup completes.

The second step of the Tune file project requires us to schedule a Tune Job.  Tune Jobs are the scheduled run times for the Tune files (BACKUP.NTT  and RESET.NTT).

IMPORTANT:

Have your Tape Backup software create a LOG  file that contains information on the amount of data that was backed up, and the elapsed time it took to back it up.  This log file will give you a comparison benchmark for the backup performance improvement after the parameters have been optimized.

The last step of the tune project will require us to run two backups.  The first backup will be done at night without any changes to the server.  This is to log an elapsed time for the backup without NetTune.  The following night run your backup using NetTune, BACKUP.NTT and RESET.NTT.  In the morning compare both elapsed times from the LOG file to see the improvement in backup time.


Creating the Tune files

1.	Click on the Tune pull-down menu from NetTune's menu bar

2.	Select Set Parameters from the Tune pull-down menu.

3.	When the Set Parameters dialog box appears click on the New button.  This will create a new Tune file.

4.	The New Tune File dialog box will appear.  Select the Servers Current Values radio button.

5.	For the Name field enter in BACKUP.NTT.

6.	Click on the OK button.

7.	The new Tune file will be listed in the Servers\Tune Files selection box on the lower left of Set Parameters dialog box.  Select BACKUP.NTT  by highlighting the tune file name.

8.	While the Tune file, BACKUP.NTT , is highlighted click on File Caching from the Categories selection box.

9.	When the File Caching dialog box appears change the parameter Dirty Disk Cache Delay Time to 5.0 seconds.

10.	Next change the parameter Maximum Concurrent Disk Cache Writes to 25.

NOTE:	Changing this parameter will have no adverse effect on your file server.

11.	Click on the Set button to save your changes to the File Caching category.  The Set Parameters Function Successful dialog box will appear.  Click on the OK button.

12.	Select Directory Caching from the Categories selection box.

13.	When the Directory Caching Parameter dialog box appears change Dirty Directory Cache Delay Time to 7.0 seconds.

14.	Click on the Set button to save your changes to the Directory Caching  category. The Set Parameters Function Successful dialog box will appear.  Click on the OK button.

15.	Select File System from the Categories selection box.

16.	When the File System Parameters dialog box appears click NCP File Commit  to off (the box should be empty).

NOTE:	By turning this function off it will free up processor time so the server doesn't have to look for NCP files to flush. Changing this parameter will have no adverse effect on your file server.

17.	Click Immediate Purge Of Deleted Files box on (the box should now have an X in it).

WARNING:

Turning this parameter ON  will decrease read without delay.  Be aware that when a deleted file is purged it can never be salvaged again.  If you feel you may need to salvage a deleted file do not use this command at this time.

18.	Click on the Set button to save your changes to the Directory Caching  category.  The Set Parameters Function Successful dialog box will appear.  Click on the OK button.

19.	Select Disk from the Categories selection box.

20.	 The Disk Parameters dialog box now appears turn Enable Disk Read After Write Verify  to OFF.

WARNING:  If you're not sure your server drive includes hardware level read after verify, then please consult your disk manufacturer before changing this parameter.

21.	Click on the Set button to save your changes to the Disk category.  The Set Parameters Function Successful dialog box will appear.  Click on the OK button.

22.	We need to create another Tune file that resets the servers set parameters back to the original NetWare defaults.  To do this we need to click on the New button.

23.	The New Tune File dialog box will appear make sure your radio button selection is for NetWare Default Values.

24.	For the Name field enter in RESET.NTT.

25.	Click on the OK button

26.	The new Tune file will be listed in the Servers/Tune Files selection box on the lower left of the screen.  Click on the Close button.

We now have our two Tune files.  BACKUP.NTT  which contains the six modified set parameters, and RESET.NTT  which contains the default values for NetWare.  In the next section we will learn how to schedule the tune file by creating a Tune Job.


Scheduling the Tune files

We have created the two tune files for our tune project.  The second step is to schedule a time for the tune files to run.  A scheduled job is called a Tune Job.  Scheduling a Tune Job is called Time Tuning.

1.	Click on the Tune pull-down menu from NetTune's menu bar.

2.	Select the Time Tune command from the Tune pull-down menu.

3.	The Time Tune dialog box will appear.  We need to create two Tune Jobs for each Tune file.   First select the file server that is going to be tuned.  Click on the appropriate server from the Server(s) selection box.

4.	Select the BACKUP.NTT  tune file from the Tune Files selection box.  Do this by highlighting the Tune files name.

5.	Schedule the BACKUP.NTT  Tune job to run:

•	For Job Name type in BACKUP.

•	For Frequency choose Daily.

•	Set Hour to 23.

•	Set Minute to 0. (This schedules BACKUP.NTT  to run at 11:00 pm)

•	Click the Save button to save the Time Tune Job.

NOTE:	Remember our example backup starts at 11:01p.m.  If your backup takes place at a different time then schedule BACKUP.NTT to run one minute before your backup begins.

6.	You now see the BACKUP.NTT scheduled as a Tune Job, and listed in the Time Tune Job List window.

7.	Now repeat this process for RESET.NTT  by clicking on the New button.

8.	Schedule the RESET.NTT  tune job to run:

•	For Job Name type in RESET.

•	For Frequency choose Daily.

•	Set Hour to 6.

•	Set Minute to 0. (This schedules RESET.NTT to run at 6:00 a.m.)

•	Click the Save button to save the Time Tune Job.

NOTE:	Remember our example backup ends at 5:55 a.m.  If your backup finishes at a different time then schedule RESET.NTT to run five minutes after your backup completes.

9.	You now see the RESET.NTT scheduled as a Tune Job, and listed in the Time Tune Job List window.

10.	The Tune files are now scheduled to run.  You can click on the Close button to exit.

11.	The last step of our Tune File project will require you to run 2 backups.  One night backup without Time Tuning.  The next night backup with Time Tuning.  Remember to check your tape backup's LOG file for the time comparison.

You can also disable a Tune Job by placing an X in the Job Disable check box, when the Tune file is highlighted.  If you wish to delete a Tune file, highlight the Tune file and press the Delete button (this is a permanent delete).


Modifying Set Parameters Through SmartTune

The first two methods we mentioned, for modifying set parameters, may require some NetWare knowledge and experience.   With SmartTune you need no prior experience with set parmeters to successfully use SmartTune.  SmartTune's sophisticated artificial intelligence it is able automatically adjust set parameters on the fly, based on real-time data collected.

As SmartTune detects changes, in real-time, it will make changes accordingly, giving maximum optimization for you network.  This optimization helps eliminate bottlenecks or potential dangers involved with pushing the envelope on your operating system.  It provides this protection and optimization in tangible and intangible ways.  The main advantage of the SmartTune module is providing optimization while you carry on with administration duties, without having to worry about manually adjusting parameters.

SmartTune's Tuning Options feature provides you with the greatest flexibility for managing performance, and optimization on your server, than any software product on the market today.

SmartTune automatically adjusts set parameters on the fly.  SmartTune's adjustments are based on complex decisions, made by the software's artificial Intelligence, from data that is collected every second.


Having SmartTune Control Optimization

For those who prefer to have SmartTune handle all aspects of optimizing the network server read the following:

1.	Select the Tune pull-down menu from NetTune's menu bar.

2.	Select SmartTune from the Tune pull-down menu.

3.	When the SmartTune dialog box appears it will be displaying the Tuning Options dialog box.

1.	Select the File server you wish to tune by clicking on the appropriate server, located in the Server(s) selection box.

2.	If the Tuning Options dialog box isn't displaying select Tuning Options from the Options selection box.

3.	Select Non-Specific from your Server Environment selection box.

4.	If the SmartTune check box is not enabled the Enable SmartTune (Automatic Tuning) check box will be empty.Make sure it is enabled by clicking on the check box to place an X in it.  This will enable SmartTune to make all modifications for a server's set parameters.

5.	When this done click on the Set button to save your choices, then click on the Close button to exit.


Disabling SmartTune

If you no longer wish to have SmartTune automatically tune all aspects of the selected server, remove the X from the Enable SmartTune (Automatic Tuning) check box. This will disable SmartTune.

To do this you must click on the Enable SmartTune (Automatic Tuning) check box.


File Menu Overview

The File menu is located in NetTune's Menu bar, at the top of the window. It contains a list of NetTune commands for the currently selected icon or object.

To open the pull-down command menu, position the mouse cursor over the File menu and click the left mouse button.

To choose a command for NetTune to perform, point to the command, and then click the left mouse button.

NCF Command

Selecting this command will open another selection window for AUTOEXEC.NCF and STARTUP.NCF.  To open the file you wish to view, or edit, click the left mouse button over the desired file.

Close Command

The Close command is used to close the selected file. If you have entered any changes, save your edits before closing the file

Save Command

The Save command is used to save an active NCF file.

Print Command

The Print Command is used to print an active window.

Print Preview Command

When you choose the Print Preview command, you can display either a full page or two page view of the active file or graph. While you are in print preview, you cannot edit text or chose other commands.

Print Setup Command

The Print Setup command is used to select a printer driver, and set up the driver options.

Print Setup Dialog Box

The Print Setup dialog box shows the currently selected printer options. After you designate a printer, you can select page orientation, and page size options. Be aware that the number of options will vary depending on the printer driver you select.

Printer Options

Print quality is set by selecting the Options button.  Your Printer Options dialog box may vary depending on the operating system your using (i.e. Windows for Work Groups, Windows 3.1).

Exit Command

The Exit command is used to exit the NetTune program.

NOTE

Be sure to save all NCF files before exiting NetTune.


Editing Overview

In the Menu Bar, clicking on the second item, Edit, causes the Edit menu to appear.  A number of edit commands are available in the Pull-down menu.

There are three basic text editing techniques, inserting, deleting, and blocking text.

Inserting Text

Position the cursor to the spot in the file where you want to insert text, and begin typing.

Deleting Text

Position the cursor to the left of the text you want to delete, and press the Delete key. If you prefer, position the cursor to the right of the text to be deleted, and press the Backspace key.

Blocking Text

A block of text is any group of characters you have highlighted. The editor treats the highlighted text as a single unit.


Keyboard Navigation

The usual range of keyboard navigation commands are available in the text editor.

Keys	Move the Cursor
Left arrow	Left one character
Right arrow	Right one character
Up arrow	Up one line
Down arrow	Down one line
Home	To the beginning of the current line
End	To the end of the current line
Page up	Up one screen
Page down	Down one screen
Ctrl+Left arrow	Left one word
Ctrl+Right arrow	Right one word
Ctrl+Home	To the top of the file
Ctrl+end	To the bottom of the file


Edit Menu

The Edit Menu is located in the Menu Bar at the top of the window. It contains a list of edit commands for the currently selected system file.

To open the pull-down command menu, position the mouse cursor over the Edit menu, and click the left mouse button.

To choose a command for NetTune to perform, point to the command, and then click the left mouse button.

Related Topics:

Undo Command

Cut Command

Copy Command

Paste Command


Undo Command

The Undo command is a very important command because it allows you to undo your most recent edit.

There are 2 ways to select the Undo command:

1.	From the Edit menu you can select the Undo command to undo the last edit change.

2.	For accelerated keyboard support you can press the <Ctrl> <Z> keys to undo the last edit change.


Cut Command

The Cut command deletes highlighted text and pastes the text into the clipboard. You can paste the clipboard contents anywhere in the file.

There are 3 ways to select the Cut command:

1.	From the Edit menu you can select the Undo command to cut highlighted text.

2.	For accelerated keyboard support you can press the <Ctrl> <X> keys to cut highlighted text.

3.	You may also use the Cut Icon on the Toolbar to cut highlighted text.


Copy Command

The Copy command copies highlighted text to the clipboard. You can paste the clipboard contents anywhere in the file.  Many Windows (containing Graphs and Text) can be copied to the clipboard.

There are 3 ways to select the Copy command:

1.	From the Edit menu you can select the Copy command to copy the highlighted text.

2.	For accelerated keyboard support you can press the <Ctrl> <C> keys to copy the highlighted text.

3.	You can also use the Copy Icon on the Toolbar to copy the highlighted text.


Paste Command

The Paste command is used to copy text from the clipboard into one or more locations in your file. You must position the cursor to the place where you want the text to appear.

There are 3 ways to select the Paste command:

1.	From the Edit menu you can select the Paste command to paste text into your document.

2.	For accelerated keyboard support you can press the <Ctrl> <V> keys to paste text into your document.

3.	You can also use the Paste Icon from the Toolbar to paste text into your document.


Toolbar

The Toolbar is a graphical bar with command icons that perform some of the most common commands in the NetTune program. The horizontal strip located directly below the Menu bar is the Toolbar.

To use the Toolbar, you move the mouse pointer to the icon representing the command you want execute, and then click the left mouse button.  For more information regarding the Toolbar icons see the chapter NetTune Toolbar Icons.


Tune Menu Overview

The Tune pull-down menu, located on NetTune's menu bar, allows you to optimize server performance.  This pull-down menu is only functional if you have the SmartTune NLM, otherwise the Tune pull-down menu will be grayed-out.   Optimizing network performance can be accomplished by; manually adjusting internal NetWare operating system Set parameters, creating custom tune file and scheduling parameter changes through those custom tune files, and finally having SmartTune automatically adjust server(s) set parameters on the fly.


Set Parameters Command

The Set Parameters command allows you to modify set parameters for the nine different NetWare categories; Communication, Memory, File Caching, Directory Caching, File System, Locks, Transaction Tracking, Disk, Miscellaneous.  Along with modifying set parameters you can also create custom tune files. Tune files contain modified set parameters for a file server.  Using NetTune you can schedule tune files to change a server's set parameters at a specified time.  You can also export set parameters from one server or tune file to other servers or tune files.

The choices available for modifying set parameters, creating tune files, or exporting set parameters are available through NetTune's Set Parameter dialog boxes.

Related Topics:

SET Parameter Dialog Boxes

Selecting an Option


SET Parameter Dialog Boxes

Categories

There are nine Set Parameter dialog boxes.  One for each NetWare category found in the Categories selection box.  Each Set Parameter dialog box is similar in design.  They all share a similar look and feel.  Some of the Set Parameter dialog boxes have an asterisk (*) before the set parameter command, this asterisk indicates the change will be made to either the server's AUTOEXEC.NCF or STARTUP.NCF files.  If there is no asterisk before the set parameter command then the set parameter change will be made directly to the server's memory files.

At the top left of the Set Parameter dialog box is the Categories selection box.  From the Categories selection box you can select a NetWare category, which contains the desired set parameters you wish to modify.

At the lower left of the Set Parameters dialog box is the Servers\Tune Files selection box.  The Servers\Tune Files selection box allows you to select a server (or tune file) for modifying.

NOTE

Only servers running the SmartTune NLM will show up in the Servers\Tune Files selection box

To view tune files, belonging to a particular server, you need to double-click on the file server's name.  This will expand the server list into a tune file list, which contains all tune files associated with the selected file server.

At the bottom left of the Set Parameter dialog box is the Information selection box.  This selection box contains information on the following items:

•	The NetWare version

•	The NetWare user limit

•	NetTune's version

•	NetTune's Read\Write status

The Read\Write status of NetTune should be noted.  If NETTUNE.NLM isn't loaded in write mode you cannot alter any set parameters or tune files.

NOTE

NetWare version 3.11 vs. NetWare version 3.12

If you are modifying multiple servers, that are running version 3.11 and version 3.12 of NetWare, you will not see the identical number of set parameters in the Set Parameter dialog boxes.  This is because NetWare version 3.12 contains 9 additional set parameters.

The SmartTune Set Parameters dialog boxes includes push buttons.

New	The New button creates a new tune file containing either newly modified set parameters or Novell's default set parameters.  For more on the New button see Creating a New Tune file.
Export	The Export button will export set parameters from one server, or tune file, to other servers or tune files.  For more on the Export button see Exporting Set Parameters to a server or Tune file.
Set	The Set button will save any changes you make to the set parameters for the currently selected file server or tune file.
Undo	The Undo button will undo any changes you made to the current Set Parameters dialog box.
Default	The Default button will display the NetWare default values for the currently selected, file server or tune file.
Help	The Help button will bring up NetTune's Help index.
Close	The Close button will end your session, without modifying any Set Parameters, and exit.


Selecting an Option

Options that appear in the Set Parameter dialog boxes include; check boxes, text boxes, and push buttons.  If you're using a mouse,  select an option by pointing to the option and clicking the mouse.   If you're using a keyboard, press the Tab key repeatedly until you activate the desired parameter option.

Check Boxes

Toggle a check box option on or off by selecting or deselecting the check box. When the check box is selected (On), a X appears inside the check box.

Text Boxes

Once selected, a text box allows you to type an entry, or modify an existing parameter. You may also use the scroll bar arrows along side the text box to increment or decrement a parameter.

Push Buttons

Push buttons are selected by clicking on the button with the mouse, or using the Tab and Enter keys.


Creating a New Tune file

To create a new tune file you need to:

1.	Select Set Parameters from the Tune pull-down menu.

2.	When the Set Parameters dialog box appears, click on the New button.  The New Tune File dialog box will appear.

3.	If you choose to use NetWare's defaults then click on the NetWare Defaults Values button.  If you choose to use values that will be modified by you, then select the Server's Current Values button.

4.	Enter a tune file name into the Name field.Give the tune file a descriptive name, and be sure to give the tune file a .NTT extension.  This is how NetTune interprets the file as a tune file.

5.	After you have entered a descriptive name click on the OK button.

6.	Click on the NetWare category that contains the set parameters you wish to modify.

7.	When the selected NetWare category dialog box appears, modify the set parameters as needed.  When you're finished click on the SET button to save those modifications to your new tune file.

8.	If you wish to modify additional set parameters from other NetWare categories, and save them to your new tune file, continue from Step 6.

NOTE

If you forget to save any modified set parameters, you will see a dialog box that asks if you wish to save your changes.  You have to decide before you are can alter any other Set Parameter categories.

9.	When you have finished modifying all the set parameters you require (click on the 	Set button to save any additional changes)  then click on the Close button to end your session.

Related Topics:

Exporting Set Parameters

Exporting to a Server

Exporting a Tune file


Exporting Set Parameters

The Export function copies Set Parameters from a single source to multiple destinations.  The Export function copies all set parameters from a source, that is either a file server or tune file, to multiple destinations that are other file servers or tune files.   This feature conveniently allows you to create a duplicate set of set parameters for another server or tune file, without selecting each set parameter individually.

NOTE

The Export function does not copy Tune files to other destinations.  It copies the Set Parameters, from a source, to multiple destinations (i.e. other Tune files or Servers.


Exporting to a Server

To export a file server's set parameters to another file server you must:

1.	Select a file server from a group icon listed in the Source selection box.  To do this double click on the group icon, this will expand into the server list.

2.	When the source server list appears click on the file server that contains the values you wish to export.  The Source: Set Parameters Name and Current Value window will now be displaying the current set parameters for the 	selected server.  You can view all the set parameters for that server by scrolling through the Source: Set Parameters Name and Current Value window.

3.	When you are satisfied that these source values are the values you wish to use then double-click the group icon, from the Destination window, that contains the destination server.

4.	When the destination server list appears click on the server(s) you wish to designate as the receiver of these set parameters.

5.	When you have selected the destination server(s) click on the Export button   This will now export the source set parameters to the destination server's NCF file.

6.	Click on the Close button to end you session.


Exporting a Tune file

Exporting a tune file to multiple file servers (or other tune files) follows the same procedures found in Exporting a Server's Set Parameters to another Server.   While the server list is displaying double click on the sever list to expand the list and display the Tune file list for both source and destination.  Click on as many destination servers, orTtune files, that you want to receive the exported set parameters.


Communications Set Parameters

The Communication Set Parameters dialog box controls the communication buffer settings. There are several parameters that can be adjusted in the Communications dialog box.

Watchdog Parameters

Watchdog parameters are used to make sure workstations are currently connected.

Delay Before First Watchdog Packet

If the server has not received a packet from a workstation in a certain time (set by the Delay Before First Watchdog parameter), a watchdog packet is sent to the station.

Delay Between Watchdog Packets

If the station does not respond within a certain time (set by the Delay Between Watchdog parameter), another watchdog packet is sent.

If the station does not respond within a certain time (set by the Delay Between Watchdog parameter), another watchdog packet is sent.

Number of Watchdog Packets

If the station still does not respond to a certain number of watchdog packets (determined by the Number of Watchdog Packets parameter), the server assumes that the station is no longer connected and clears the station's connection.

Packet Receive Buffers

Areas in the file server's memory are set aside to hold data packets. These packets remain in the buffers while the file server processes them.

Write Enable switch

This is a special note on the Write Enable switch.  If you try to alter any of the Set parameters, and the Set button, is disabled it's because SmartTune was loaded in Read Only mode.

Console Display Watchdog Logouts

This parameter determines whether a console message will be displayed when a workstation connection is cleared.  A smooth running network does not require the display of this parameter.

Limits:	On or Off
Default:	Off
Enable Packet Burst Statistics Screen

This parameter displays the NCP packet burst statistics screen.

This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	On or Off
Default:	Off
Reply To Get Nearest Server

This parameter determines whether this server will respond to GET NEAREST SERVER requests from workstations that are attempting to locate a server.

Limits:	ON or OFF
Default:	ON
Allow LIP

This parameter allows the clients rights to be changed. This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	On or Off
Default:	On
This parameter sets the number of watchdog packets the server will send out (without receiving a workstation reply) before disconnecting the workstation.

Limits:	5 to 100
Default:	10
Delay between Watchdog Packets

This parameter sets the amount of time between watchdog packets after the server has sent out the first watchdog packet.

Limits:	9.9 second to 10 minutes 26.1 seconds
Default:	59.3 seconds
Delay Before First Watchdog Packet

Sets the amount of time the server waits without receiving a workstation request before sending out the first watchdog packet.

Limits:	15.7 seconds to 20 minutes 52.3 seconds
Default:	4 minutes 56.6 seconds
Maximum Physical Receive Packet Size

This parameter sets the maximum packet size the file server can transmit to any network. The default packet size is 1KB (This includes the packet header and data).

Considerations

The default is also acceptable for Token-Ring or Ethernet boards.  Set this parameter to the largest packet size allowed by your network boards.

NOTE

This parameter cannot be modified at the console prompt.  SmartTune will modify the STARTUP.NCF.  Reboot the file server to implement the new parameter.

Limits for 3.11:	618 to 4202
Default for 311:	1130
Limits for 3.12:	618 to 24682
Default for 3.12:	1514
Maximum Packet Receive Buffers

This sets the maximum number of packet receive buffers that the operating system can allocate.

Considerations

EISA and Micro Channel server bus master boards require at least 5 buffers per board.

Use NetWare's MONITOR.NLM to determine if the board is producing "No ECB available count " errors. This can be done by selecting LAN Information from the Monitor program.  If you detect these errors, increase the parameter to allow for 10 packet receive buffers per board.

If you observe that the number of allocated services processes have reached fixed limits, increase the "Maximum number of service processes" parameter.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view the current server usage for packet receive buffers, and service processes.

Limits for 3.11:	50 to 2000
Default for 3.11:	100
Limits for 3.12:	50 to 2000
Default for 3.12:	400
Minimum Packet Receive Buffers

This parameter sets the minimum number of packet receive buffers the operating system can allocate. The operating system will set the minimum number of buffers when the server boots (STARTUP.NCF).

Considerations

If you have EISA and Micro Channel server bus master boards in your server, and you are receiving No ECB available count" errors immediately after the file server boots, increase this parameter. Each board needs to have at least 5 packet receive buffers.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view current server usage of packet receive buffers. If the parameter is set higher than 10, and the server is responding slowly after it has been booted, increase this parameter.

This parameter cannot be modified at the console prompt.  SmartTune will modify the STARTUP.NCF.  Reboot the file server to implement the new parameter.

Limits:	10 to 1000
Default:	100
New Packet Receive Buffer Wait Time

This parameter sets the length of time the operating system will wait after receiving a request for another packet receive buffer and before granting an additional buffer.

This parameter is used to prevent the operating system from granting an abnormal amount of packet receive buffers during a period of sudden peak usage.

Never change this parameter on file servers with an EISA bus master board.

Limits:	0.1 seconds to 20 seconds
Default:	0.1 seconds
NCP Packet Signature Option

This parameter option controls the NCP packet signatures.

This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	0	1	2	3
Default:	1
0 = Don't do packet signature.

1 = Do packet signatures only if the client requests them.

2 =  Do packet signatures if supported

3 = Requires packet signatures

Enable IPX Checksums

This parameter enables the checksums of IPX packets.  This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	0	1	2
Default:	1
0 = No checksums

1 = Do a checksum if enabled at the client

2 = Requires checksumming


Memory Set Parameters

The Memory Set parameters dialog box is used to control the size of the dynamic memory pool, the block size of cache buffers, and the automatic registering of memory on EISA bus computers.

Auto Register Memory Above 16MB

This parameter is used to control the automatic register of memory above 16MB in EISA computers.

Considerations

Set to ON if you want the operating system to register memory above 16MB.

Set to Off if your file server has a network board or a disk adapter board that uses on-line DMA, or AT bus mastering.

Limits:	ON or OFF
Default:	ON
NOTE

This parameter cannot be modified at the console prompt.  SmartTune will modify the STARTUP.NCF.  Reboot the file server to implement the new parameter.

Maximum Alloc Short Term Memory

This parameter sets the amount of memory the operating system allocates to the Short Term Memory pool. The default setting is sufficient for 250 users, each with 26 drive mappings.

Considerations

Increase this parameter if the file server issues warnings that an operation cannot be completed because the memory pool has reached its limits.

Decrease this parameter if the file server is allocating more memory to the pool than normally required.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM or NetTune to view the amount of memory allocated to the "Alloc Memory Pool."

Limits for 3.11:	50000 to 16777216
Default for 3.11:	2097152
Limits for 3.12:	50000 to 33554432
Default for 3.12:	8388608
Cache Buffer Size

This parameter sets the block size of the cache buffer.

Considerations

If block allocations are greater than 4KB on all volumes, increasing this parameter may increase performance.

If block allocations are less than 4KB on all volumes, increasing this parameter will decrease performance.

NOTE

Volumes that have block allocation sizes smaller than the cache block size will not be mounted.

If block allocation sizes vary between volumes, make this parameter no larger than the smallest block allocation size.

NOTE

This parameter cannot be modified at the console prompt.  SmartTune will modify the STARTUP.NCF.  Reboot the file server to implement the new parameter.  This parameter may also be modified using the -c option when starting the SERVER.EXE  program.

Limits:	4096, 8192, or 16834
Default:	4096


File Caching Set Parameters

The File Caching Set Parameters dialog box is used to set file cache memory parameters.  Files that are being read from or written to are kept in the file cache memory buffers.  File caching holds frequently used files in file cache memory longer to facilitate faster access. The number of files held in memory depends on the number of file cache buffers available.

Maximum Concurrent Disk Cache Writes

This parameter sets the number write requests for changed file data that can be put into the elevator before the disk head begins a sweep across the disk.

Considerations

Increasing this parameter makes the servicing of write requests more efficient.  Decreasing this parameter makes the servicing of read requests more efficient.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view the number of dirty cache buffers. If the number is above 70% of the total cache buffers, increase this parameter to optimize the write speed.

Limits for 3.11:	10 to 100
Default for 3.11:	50
Limits for 3.12:	10 to 1000
Default for 3.12:	50
Dirty Disk Cache Delay Time

Sets the amount of time the operating system will keep a write request (that does not fill a cache buffer) in memory before writing the request to disk.

Considerations

Increase this parameter if users are making many small write requests.  Decreasing this parameter slightly reduces the chances of losing data, however, you may drastically reduce performance.

Limits:	0.1 seconds to 10 seconds
Default:	3.3 seconds
Minimum File Cache Buffer Report Threshold

This parameter sets a warning threshold above the minimum number of cache buffers setting so that the operating system will alert you when the warning threshold has been reached.

Considerations

Warning Threshold Message  Number of cache buffers is getting low.

Regardless of how this parameter is set, the operating system displays the following message when the memory allocation resources reach the minimum number of cache buffers:

Cache memory allocator exceeded minimum cache buffer left limit.

Limits:	0 to 1000
Default:	20
Minimum File Cache Buffers

This parameter sets the minimum number of cache buffers the operating system allows for file caching. The operating system uses all memory not allocated for other processes for file caching. As processes requested memory the operating system releases memory till the limit of this parameter is reached.

Considerations

Setting this parameter to high may prevent other processes from allocating required memory resources.

Limits:	0 to 1000
Default:	20
Reserved Buffer Below 16 Meg

This parameter sets the number of file cache buffers to be kept for device drivers unable to access the memory above 16 megabytes.

NOTE

This parameter cannot be modified at the console prompt.  SmartTune will modify the STARTUP.NCF.  Reboot the file server to implement the new parameter.

Limits for 3.11:	8 to 200
Default for 3.12:	16
Limits for 3.11:	8 to 300
Limits for 3.12:	16
Read Ahead LRU Sitting Time Threshold

This parameter insures if the LRU (Least Recently Used) sitting time is below this threshold the read ahead will not take place.

This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	0 second to 1 hour
Default:	10 seconds
Read Ahead Enabled

This parameter will perform background reads to get the blocks that will be requested soon into the cache in advance.  This is done as long as sequential file access is occurring.

This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	ON or OFF
Default:	ON


Directory Caching Set Parameters

The Directory Caching Set Parameters dialog box is used to set directory cache buffer parameters. Directory caching facilitates fast access to frequently used directories. A directory entry stays in a cache buffer as long as it's being accessed frequently. If used infrequently, the operating system will overwrite the entry.

A trade-off exists between directory and file caching. When the number of directory cache buffers is increased, the number of file cache buffers decreases. Directory and file caching needs must be carefully balanced for maximum system performance.

Directory Cache Buffer NonReferenced Delay

This parameter sets the length of time a directory entry must be cached before it can be overwritten by another directory entry.

Considerations

Increasing this parameter causes the operating system to allocate more directory cache buffers.

Decreasing this parameter causes directory access to slow down, but decreases the need for additional cache buffers.

Limits:	1 second to 5 minutes
Default:	5.5 seconds
Directory Cache Allocation Wait Time

This parameter sets the length of time the operating system must wait between the allocation of new directory cache buffers. During this time period all directory cache buffer allocation requests are ignored.

Considerations

Increasing this parameter will cause the operating system to be slow in allocating directory cache buffers.

Decreasing this parameter causes more memory resources  to be allocated to directory caching.

Limits:	0.5 seconds to 2 minutes
Default:	2.2 seconds
Dirty Directory Cache Delay Time

This parameter sets the length of time the operating system keeps a directory table write request in memory before writing it to disk.

Considerations

Increasing this parameter quickens operating system performance, however, the probability of the directory table becoming corrupted is increased.

Decreasing this parameter reduces operating system performance due to an added number of disk writes, however, the probability of the directory becoming corrupted is reduced.

Limits:	0 to 10 seconds
Default:	.5 seconds
Maximum Concurrent Directory Cache Writes

This parameter sets the number of write request from the directory cache buffers that can be put into the elevator before the disk head begins a sweep across the disk.

Considerations

Increasing this parameter causes the servicing of write request to become more efficient, and the servicing of read request becomes less efficient.

Decreasing this parameter causes the servicing of read requests to become more efficient, and the servicing of write request to become less efficient.

Limits:	5 to 50
Default:	10
Maximum Directory Cache Buffers

This parameter sets the number of permanent directory cache buffers the operating system may allocate.

Considerations

Increase this parameter if the file server responds slowly to directory searches.

Decrease this parameter if to much memory is being allocated for directory caching.

NOTE

If users are notified by the operating system that the server is low on memory, this parameter should be one of the first to be reduced.

You must reboot the file server to return the memory to the cache buffer memory pool.

Limits:	20 to 4000
Default:	500
Minimum Directory Cache Buffers

This parameter sets the minimum number of cache buffers that the operating system can allocate for directory caching. Set this parameter high enough that directory searches can be done quickly.

Considerations

Increase this parameter no higher than necessary. If the minimum number of cache buffers is not used, the buffers cannot be reallocated to file caching, they remain unusable.

NOTE

If the file server is responding slowly to directory searches, use the MONITOR.NLM  or NetTune to view current directory cache buffer statistics.

Limits:	10 to 2000
Default:	20


File System Set Parameters

The File System Set Parameters dialog box controls the following functions:

•	Maximum settings for files and directories

•	Volume low warnings

•	File purging

•	Wait Times

Maximum Subdirectory Tree Depth

This parameter sets the number of subdirectories the operating system will support. Some DOS directories are not capable of supporting more than 10 levels if the directories have eleven-character names.

Considerations

Increase this parameter if application support trees deeper than 25.

Decrease this parameter if your application supports only shallow tree structures.

NOTE

This parameter cannot be modified at the console prompt.  SmartTune will modify the STARTUP.NCF.  Reboot the file server to implement the new parameter.

Limits:	10 to 100
Default:	25
Maximum Extended attributes per File or Path

This parameter sets the number of extended attributes that can be assigned to a file path for all volumes on the server.

Limits for 3.11:	4 to 512
Default for 3.11:	32
Limits for 3.12:	4 to 512
Defaults for 3.12:	8
Maximum Percent of Volume Used by Directory

This parameter sets a limit on the portion of a volume that may be used as directory space.

Limits:	5 to 50
Default:	13
Maximum Percent of Volume Space Allowed for Extended Attribute

This parameter sets a limit on the portion of volume space that may be used for extended attribute storage.

NOTE

This parameter only takes effect when the volume is being mounted.

Limits:	5 to 50
Default:	10
File Delete Wait Time

Sets the amount of time the operating system is required to wait before marking a salvageable file as purgeable. When the volume becomes full, the operating system begins to delete the oldest purgeable files to create free space on the volume.

Considerations

Increase this parameter as necessary for the system users.

If the volume becomes full, files that have not met the limit will still be purged.

Limits:	0 seconds to 7 days
Default:	5 minutes 29.6 seconds
Minimum File Delete Wait Time

This parameter sets the length of time a file must stay in a salvageable state on the volume. Deleted files that have not minimum time requirements will not be purged automatically, even if the volume is full and users are unable to create new files.

Limits:	0 to 7 days
Default:	1 minute 5.9 seconds
Turbo FAT Re-Use Wait Time

This parameter sets the length of time a turbo FAT buffer remains in memory after an indexed file is closed. Once the wait state has elapsed, the operating system can allocate the buffer to another indexed file.

Considerations

Increase this parameter if you want the Turbo FAT index to remain in memory for an extended period of time, or if you frequently reopen the same file after a specific delay, and you know that another file opened during that delay will reuse the index.

Decrease this parameter if want memory immediately released to service the next file to be indexed.

Limits:	0.3 seconds to 1 hour 5 minutes 54.6 seconds
Default:	5 minutes 29.6 seconds
Volume Low Warning Threshold

This parameter sets the minimum amount of free disk blocks that can remain on a volume before the operating system issues a warning.

Considerations

The Block size is determined when a volume is created.

NOTE

If volumes have been assigned different block sizes, each volume will have a different amount of free space when the warning is issued.

Limits:	0 to 100000 Blocks
Default:	256 Blocks
Volume Low Warning Reset Threshold

This parameter sets the amount of disk space that must be freed before a second warning is issued. The first warning is controlled by the "Volume Low Warn All Users" parameter.

If a volume is hovering at its volume low threshold, this parameter prevents repetitious warnings every time the volume dips below the threshold.

Limits:	0  to 100000 Blocks
Default:	256 Blocks
NCP File Commit

This parameter controls whether applications are allowed to flush all pending file writes to disk when a File Commit NCP is issued, instead of waiting for the cache manager to flush to disk.

Considerations

Set to ON to immediate flush from cache to disk when a File Commit NCP is issued.

Limits:	ON or OFF
Default:	ON
Volume Low Warn All Users

Setting this parameter to ON will have the operating system warn all users when a volume is almost full.

Considerations

If you choose not to warn users, monitor volume statistics daily with the NetWare CHKVOL or VOLINFO commands.

Limits:	ON or OFF
Default:	ON
Immediate Purge Of Deleted Files

This parameter controls the salvageable file features.

Considerations

If set to ON, all NetWare salvage features are disabled. All files are immediately purged when deleted.

If set to OFF, files may be salvaged with the NetWare SALVAGE utility.

Limits:	ON or OFF
Default:	OFF


Locks Set Parameters

The File Lock Set Parameters dialog box controls the number of:

•	Open files each station can have.

•	Open files the operating system can handle.

•	Record locks the operating system can handle.

These parameters control three types of locks:

•	File

•	Physical Record

•	Logical Record

File Lock

This type of lock secures the entire file and prevents other stations from accessing the file.

Physical Record Lock

This type of lock controls data access by multiple users. It prevents other users from altering a file. The operating system enforces this lock.

Logical Record Lock

This lock type controls data access by multiple users. It prevents users from altering certain sections of data in a file. The application enforces this lock.

Maximum File Locks

This parameter sets the number of opened and locked files the operating system can handle.

Considerations

Increase this parameter if the current number of open files is near or equal to the default setting.

Decrease this parameter if you want to restrict the number of file server resources.

NOTE:

Before changing this parameter, use NetWare's MONITOR.NLM or NetTune to view the number of files that are open during peak usage

Limits:	100 to 100000
Default:	10000
Maximum File Locks Per Connection

This parameter controls how many opened and locked files a station can use at a time.

Considerations

Increase this parameter when an application cannot open enough files and fails. An OS/2 station may require a higher default than 250.

You may also be required to increase the number of file handles in the workstation's SHELL.CFG file.

Decrease this parameter if workstations are using too many file server resources.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view how many opened and locked files a workstation is using.

Limits:	10 to 1000
Default:	250
Maximum Record locks

This parameter sets the number of record locks the operating system can handle.

Considerations

Increase this parameter if users are having trouble running applications, and are receiving messages indicating that an insufficient number of memory locks are available

Decrease this parameter if users are using too many file server resources.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view the number of record locks a workstation is using.

Limits:	100 to 200000
Default:	20000
Maximum Record Locks Per Connection

This parameter sets the number of record locks a station can use at one time.

Considerations

Increase this parameter when an application fails because it is unable to lock enough records.

Decrease this parameter if workstations are using too many file server resources.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view how many record locks a workstation is using.

Limits:	10 to 10000
Default:	500


Transaction Tracking Set Parameters

The Transaction Tracking Set Parameters dialog box is used to set parameters that control the Transaction Tracking System (TTS).  A transaction is a set of write operations that must be completed.

The Transaction Tracking System guarantees that a set of write operations will either be written to disk in complete form, or backed out if incomplete. This ensures database integrity in the event that the workstation, file server, or LAN fails before a transaction has been completed.

Normally, It will not be necessary to change most of these parameters.

Auto TTS Backout Flag

This parameter controls whether a crashed file server will backout any incomplete transactions when rebooted.

Considerations

If set to ON, the file server will automatically back out any incomplete transactions during a reboot.

If set to OFF, the file server prompts you with the following message before completing its bootstrap:

Incomplete transaction(s) found. Do you wish to back them out?

NOTE

This parameter cannot be modified at the console prompt.  SmartTune will modify the STARTUP.NCF.  Reboot the file server to implement the new parameter.

Limits:	ON or OFF
Default:	OFF
TTS Auto Dump

This parameter controls whether a file will be created to log transaction backout data.

Considerations

If set to ON, backout data is written to the TTS$LOG.ERR file in the SYS volume. You can either read the file with a text editor, or print the file.

If set to OFF, the backout data is not saved.

Limits:	ON or OFF
Default:	OFF
TTS Backout File Truncation Wait Time

This parameter sets the length of time allocated blocks remain available for the TTS backout file when the blocks are not being used.

Limits:	1 minute 5.9 seconds to 1 day 2 hours 21 minutes 51.3 seconds
Default:	59 minutes 19.2 seconds
TTS Unwritten Cache Wait Time

This parameter sets the length of time a block of transactional data can be held in memory. In the case where a transactional data block has reached its time limit, other write requests are held up while the data block is written to disk.

Limits:	11 seconds to 10 minutes 59.1 seconds
Default:	1 minute 5.9 seconds
Maximum Transactions

This parameter sets the number of transactions that may occur at the same time.

Limits:	100 to 10000
Default:	10000


Disk Set Parameters

The Disk Set Parameters dialog box controls one part of Hot Fix redirection. Hot Fix redirection can occur during a write request, read request, or a read-after-write verification.

Write Request Hot fix Redirection

Occurs when the disk reports an error during a write request. The operating system marks the block as bad, and then redirects the data to a different block.

Read Request Hot fix Redirection

Occurs when a disk error took place during a read request. If the hard disk is mirrored, the operating system retrieves the data from the mirrored disk, and then redirects the data on the primary disk. If the hard disk is not mirrored, the data is lost, but the block is marked as bad so that future data will not be stored there.

Read After-Write-Verification Hot fix Redirection

Occurs after the data is written to disk. The data on disk is then read and compared to that in memory. If the two do not match, the operating system marks the block as bad, and redirects the data to a different block.

Enable Disk Read After Write Verify

This parameter controls whether data written to disk is compared with memory. Normally this parameter is ON. If you need extra disk speed on writes and your disks are reliable and mirrored, setting this parameter to OFF can almost double your disk speed.

Limits:	ON or OFF
Default:	ON
Concurrent Mirror Requests

This parameter sets the number of re-mirror requests per logical partition.

This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	2 to 30
Default:	4


Miscellaneous Set Parameters

The Miscellaneous Set Parameters dialog box controls:

•	Encrypted passwords

•	Alerts

•	NCP searches

•	Server processes

Allow Unencrypted Passwords

This parameter controls the use of unencrypted passwords.

Considerations

If set to ON, users are allowed to use both encrypted and unencrypted passwords.

If set to OFF, users may use only encrypted passwords.

NOTE

In order to set this parameter to OFF on a network that has file servers running NetWare v2.12 and above, but none running v2.0a, you must copy the NetWare v3.1x utilities to these file servers.

If all file servers are running NetWare v3.1x, set to OFF.

If there are file servers running NetWare v2.0a, Set to ON.

Limits:	ON or OFF
Default:	OFF
Display Spurious Interrupt Alerts

This parameter controls display of spurious interrupt alerts messages.

Considerations

A message is sent to the file server console whenever the hardware in the file server creates an interrupt that has been defined and reserved for another device.

Spurious interrupts generate the following type of message:

Spurious hardware interrupt <number> detected

NOTE

Spurious interrupt message indicates a serious error in the hardware.

If your file server console displays spurious interrupt messages:

•	Remove all add-on boards and run SERVER.

•	If the message does not appear, add the boards one at a time until you have discovered which piece of hardware is creating the spurious interrupt.

•	Contact the vender of hardware causing the problem. (Set this parameter to OFF while you are waiting for a resolution.)

Limits:	ON or OFF
Default:	ON
Display Lost Interrupt Alert

This parameter controls the display of lost interrupt messages.

Considerations

If an interrupt request from a driver or board is dropped before the CPU is able to respond to the request, the following message is generated:

Interrupt controller detected a lost hardware interrupt

This message indicates a hardware or driver problem. This problem may degrade system performance.

If your file server console displays lost interrupt messages:

•	Unload all drivers.

•	Reload them one at a time to determine which driver is causing the problem.

•	Contact the vender of driver causing the problem. (Set this parameter to OFF while you are waiting for a resolution.)

Limits:	ON or OFF
Default:	ON
Display Disk Device Alerts

This parameter controls the display of hard disk informational messages.

Considerations

If set to ON, a message is generated every time a hard disk is added, activated, deactivated, mounted, or dismounted.

Set to OFF if you are not experiencing no hard disk problems.

Limits:	ON or OFF
Default:	OFF
Display Relinquish Control Alerts

This parameter controls the display of CPU control messages. If an NLM uses the CPU for more than .4 seconds without releasing control to other processes, a control alert message is generated.

Considerations

Set to ON only if you are writing your own NLMs.

Limits:	ON or OFF
Default:	OFF
Display Incomplete IPX Packet Alerts

This parameter controls messages about IPX alerts.

Considerations

If set to ON, displays alert messages when the IPX receives incomplete packets.

Limits:	ON and OFF
Default:	ON
NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view the amount of memory allocated to the "Alloc Memory Pool."

Display OLD API Names

This parameter controls the display of old NetWare v3.0 API calls. NetWare 3.1x renamed some of the APIs as additional resources were tracked. The old APIs work, but more slowly than the new APIs.

Considerations

Set to ON if you are writing your own NLMs and you are upgrading NetWare 3.0 NLMs to new 3.1x APIs.  Set to OFF if no v3.0 NLMs are being upgraded to NetWare 3.1x APIs.  If you are receiving these messages, contact the vendor of the module generating these messages.

Limits:	ON or OFF
Default:	OFF
Maximum Outstanding NCP Searches

This parameter sets the maximum number of NetWare Core Protocol (NCP) directory searches that may be processed at the same time.

Considerations

Under normal conditions, only one NCP directory search occurs at a time.

Increase this parameter only if you are using applications that support multiple directory search operations simultaneously, and you are having problems with corrupted or invalid directory information.

Limits:	10 to 1000
Default:	51
New Service Process Wait Time

This parameter sets the length of time the operating system waits after receiving a request for another service process before making the allocation.

Limits:	0.3 seconds to 20 seconds
Default:	2.2 seconds
Pseudo Preemption Time

This parameter sets the amount of time available for certain NLMs to keep an NLM process from using too much CPU time.

Considerations

Set only as your NLM documentation recommends.

Limits:	1000 to 10000 (Raw CPU time, approximately .84 seconds each)
Default:	2000
Maximum Service Processors

This parameter sets the maximum number of service processes that the operating system may create.

Considerations

Increase this parameter if the number of currently allocated service processes is at the maximum. Increasing this parameter will only help if more than 20 requests are being delayed simultaneously for a disk I/O to be completed.

Temporarily decrease this parameter if the file server is low on memory. Add memory if the file server is always low on memory.

NOTE

Before changing this parameter, use NetWare's MONITOR.NLM  or NetTune to view the number of service processes that have currently been allocated.

Limits:	5 to 40
Default:	20
Replace Console Prompt With Server Name

This parameter replaces the console prompt of ":" with the file server's name.

This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	ON or OFF
Default:	ON
Allow Change To Client Rights

This parameter allows the client rights to be changed.

This command applies only to NetWare version 3.12 users.  For NetWare version 3.11 users you will not see this parameter displayed in the Communications dialog box.

Limits:	ON or OFF
Default:	ON


Time Tune Command

The Time Tune command is used to create, schedule, or disable Tune Jobs through the Time Tune dialog box.  A Tune Job is the scheduling or unscheduling of a Tune file.

As discussed in Chapter 4, NetTune has the ability to schedule predefined files called "Tune" files to run unattended at specific times. These files contain unique SET parameters for changing the file server configuration.Tune files need to have a .NTT extension and must be located in the SYS: volumes SYSTEM directory.

Time Tune Job List window

The Time Tune Job List window displays information on all existing time tune files that will run on the server.  It will display the Tune file's Job Name, its status (if it's Disabled or not), its frequency rate (if the Job  runs Daily, Weekly, or Monthly), the time the Tune job will begin running, and finally the Tune file name.

Servers selection box

The Servers selection box allows you to select the desired file server, which contains the Tune file(s) you wish to schedule as Tune jobs.  Click on the Group Icon to display the Server list.  When the appropriate server is showing, click on that server to select it.

Tune Files selection box

The Tune Files selection box is used to select Tune file's you wish to schedule as Tune jobs.  When you have selected the appropriate server you will see a list of that server's tune files.  When you see the tune file, you wish to schedule as a Tune job, move the mouse cursor over that desired tune file and click the left mouse button.

Job Name Text Box

Text entered in this text box is used to name a Tune job.  The Job Name helps to identify a scheduled Tune job with a Tune file. A Tune job's name may have up to sixteen characters.

Job Disable Check Box

This check box is used to temporarily enable or disable a tune file.  To disable a job, from running,  place an X in the check box.

Frequency Radio button

This Frequency Radio button is used to select the Tune job's frequency.  The frequency is when you want the tune job to run.  SmartTune can schedule Tune jobs on a daily, weekly, or monthly frequency rate.  To select a Frequency just click on the left mouse button while the mouse cursor is on the desired Frequency.  If you select Daily you will be able to adjust the Hours, Minutes, and Seconds.  The Day of Month selection box and the Day of Week selection box will not be selectable.

Radio button	Active Selection Box(es)
Daily	Hours, Minutes, and Seconds
Weekly	Day of Week, Hours, Minutes, and Seconds
Monthly	Day of Month, Hours, Minutes, and Seconds
Day of Week Pull-Down Selection box

When the Weekly Frequency radio button is selected the Day of Week selection box becomes active.  You can click on the down arrow to see your choices.  A pull-down list will appear with all seven days of the week.  Select the appropriate day you wish to activate your Tune job.

Day of Month Selection box

When the Monthly Frequency radio button is selected the Day of Month selection box becomes active.  You can click on the up and down arrows to see your choices.   Select the appropriate day of the month you wish to activate your Tune job.

Time Selection Box

Whenever the Daily, Weekly, or Monthly Frequency radio button is selected the Time selection box becomes active.  You can click on the up and down arrow to see your choices.  Select the appropriate hour, minute, and second of the day you wish to activate your Tune job.

The SmartTune Activity dialog box includes push buttons.

Delete	The Delete button is used to delete the highlighted tune job in the job list.
Save	The Save button will save the current tune file schedule
Help	The Help button will bring up NetTune's Help index.
Close	The Close button  ends the session without saving any changes.


SmartTune Command

The SmartTune command is a powerful and revolutionary feature of the NetTune software. SmartTune's NLM was designed as an add on module to enhance NetTune's software and provide a total solution for NetWare optimization.

SmartTune's sophisticated artificial intelligence it is able automatically adjust set parameters on the fly, based on real-time data collected.

As SmartTune detects changes, in real-time, it will make changes accordingly, giving maximum optimization for you network.  This optimization helps in eliminating bottlenecks or potential dangers involved with pushing the envelope on your operating system.  It provides this protection and optimization in tangible and intangible ways.  The main advantage of the SmartTune module is providing optimization while you carry on with administration duties, without having to worry about manually adjusting parameters.

Each of the four SmartTune dialog boxes have the same look and feel.  Each SmartTune dialog box contains an Options selection box, a Servers selection box and a Print Topic check box.

Related Topics:

Options selection box

Servers selection box

Printer check box


Options selection box

The Options selection box, located at the top left of the SmartTune dialog box, allows you to select four different options for SmartTune.  These options are:

•	Tuning Options

•	Quick Analysis

•	Activity Log

•	Performance Indicators

To select an option you need place the mouse cursor over that option and click the left mouse button once.


Servers selection box

The Servers selection box, located at the bottom left of the SmartTune dialog box, allows you to select a preferred file server.

To select a file server you need to:

1.	Place the mouse cursor over the Group icon which contains your preferred file server and double click the mouse.  This will expand the Group list into the Server list.

2.	Place the mouse cursor over the desired server and click on the left mouse button.


Printer check box

The Printer check box, located at the top right of the SmartTune dialog box, allows you to select multiple topics for printing.

To select a topic for a Print Report you need to:

1.	Highlight the topic, from the Options selection box, to be included in the Print Report.

2.	Mark the Printer check box with an X.  This indicates that the current option will be part of the Print Report.  To mark the check box place the mouse cursor in the empty box and click on the left mouse button.

3.	If you need to include other options into the Print Report then continue from Step 1.

4.	When you have all the topics for your Print Report click on the Print Report button, at bottom of the SmartTune dialog box, to begin printing the report.

To de-select a topic from a Print Report you need to:

1.	Highlight the topic, from the Options selection box, to be removed from the Print Report.

2.	Remove the X from the Printer check box. This indicates that the current option will not be part of the Print Report.  To un-mark the check box place the mouse cursor over check box and click on the left mouse button.

3.	If you need to de-select other options from the Print Report then continue from Step 1.


SmartTune Tuning Options

SmartTune's Tuning Options feature provides you with the greatest flexibility for managing performance, and optimization on your server, than any software product on the market today.

SmartTune automatically adjusts set parameters on the fly, even set parameters that could only be modified in the server's NCF files.  SmartTune's adjustments are based on complex decisions, made by the software's artificial Intelligence, from data that is collected every one second.

The SmartTune Tuning Options dialog box has a Tuning Options window

To use the Tuning Options window you need to select a server you wish to SmartTune.  This can be accomplished by selecting the desired server from the Servers selection box.

In the Tuning Options window their is a Server Environment selection box, and below are eight check boxes.

The Server Environment selection box contains a list of common NetWare environments.  Below is a list of the Server environments.

•	Non-Specific

•	Backup

•	Database

•	Word Processing

•	Read Intensive

•	Write Intensive

•	Software Development

You should select the environment that best suits your network environment.  Once the desired environment has been established you need to mark the Enable SmartTune (Automatic Tuning) check box to ON by clicking the check box.  This will place an X in the check box and enables SmartTune.  When this is done click on the Set button to save your choices, then click on the Close button to exit.

In some cases you may not require SmartTune to adjust all the set parameters for your specific environment.  In this case you should click on the Enable SmartTune (Automatic Tuning) (this will activate SmartTune).  Next you need to click on the check boxes that best identify the areas that need set parameter modification.  The following is a list of the additional check boxes that can be turned on.

•	Optimize File Cache

•	Optimize Disk I/O

•	Optimize Directory Cache

•	Optimize Turbo FAT

•	Optimize Packet Receive Buffers

•	Optimize Service Processes

You can select as many of these fields as you like, as long as you turn on the Enable SmartTune (Automatic Tuning) check box.  If the Enable SmartTune (Automatic Tuning) check box is not marked enabled, then Smart Tuning will not take place.   When this done click on the Set button to save your choices, then click on the Close button to exit.

For those who prefer to have SmartTune handle all aspects of optimizing the network server, then select Non-Specific from your Server Environment and click on the Enable SmartTune (Automatic Tuning) check box.  This will smart tune all aspects of the selected server.   When this done click on the Set button to save your choices, then click on the Close button to exit.

If you no longer wish to have SmartTune tune the selected server, click on the Enable SmartTune (Automatic Tuning) check box.  This will remove the X from the check box and disable SmartTune.

The SmartTune Tuning Options dialog box includes push buttons.

Set	The Set button will save your SmartTune choices.
Refresh	The Refresh button will refresh the CRT screen display.
Print Report	The Print Report button will print out a report of all previously selected categories.
Print Topic	The Print Topic button will print out the currently selected topic.
Help	The Help button will bring up NetTune's Help Index.
Close	The Close button will end the session and quit.


SmartTune Quick Analysis

The Quick Analysis dialog box rovides you with a variety of information, and recommendations, on your selected file server.  In the Quick Analysis window you will find three fields; the Show selection box, the Results and Recommendations dialog box, and the Background dialog box.

The Show selection box includes three Radio buttons.  Depending on which Radio button you select will determine what information is displayed in the Results and Recommendations, and Background, dialog boxes.

SmartTune's Quick Analysis runs two set of diagnostics on the server's set parameters.  Either they pass or they fail.

SmartTune's Show selection box defaults to Recommendations Only.  This will show the results of all diagnostics that have failed.  These results (and their recommendations) will be displayed in the Results and Recommendations dialog box.  The Background dialog box will include a brief description of the recommendation.

The Succeeded Only Radio button will display only the diagnostics that passed the diagnostic test.  In the Results and Recommendations dialog box you will see a listing of all the server's set parameters that are OK.  The Background dialog box will also display a brief description of why these set parameters are OK.

If you choose to see all the results, whether they pass or fail, select the All Results radio button.  This will display all the successes, and failures, found with the selected server's set parameters. The Background dialog box will also display a brief description of why these set parameters are good or bad.The SmartTune Quick Analysis dialog box includes push buttons.

Accept	The Accept button will accept any recommendations changes for diagnostics that have failed.
Refresh	The Refresh button will rerun the diagnostics and refresh the display.
Print Report	The Print Report button will print out all previously selected categories.
Print Topic	The Print Topic button will print out the currently selected topic.
Help	The Help button will bring up NetTune's Help Index.
Close	The Close button will quit your session and exit.


SmartTune Activity Log

The SmartTune Activity Log provides you with a comprehensive log file of all NetWare activity.  The activity displayed is the activity that has occurred while the SmartTune NLM has been loaded.

This information, collected from the server, is stored in a activity log file called NT$LOG.NTD.  This file is stored in the SYSTEM directory on the server's SYS volume.

The SmartTune Activity dialog box includes push buttons.

Clear	The Clear button will clear out the Activity Log.
Refresh	The Refresh button will refresh the screen's display.
Print Report	The Print Report will print out all previously selected categories.
Print Topic	The Print Topic will print out the currently selected topic.
Help	The Help button will bring up NetTune's Help Index.
Close	The Close button will end you session and exit.


SmartTune Performance Indicators

The Performance Indicators option (found in the Options selection box) displays the SmartTune Performance Indicators that most affect NetWare performance.  These indicators show real-time activity for your selected server.

From this dialog box you can select your preferred file server by clicking on the desired server from the Servers selection box, located at the bottom left of your screen.

Performance Indicators window

Once the preferred server is selected the performance indicators will start displaying the percentage of real-time activity for the following categories.

•	Server Utilization

•	Dirty Cache buffers

•	Current Disk Requests

•	Service Processes

•	Packet Receive Buffers

•	Directory Cache Buffers

•	Percent of Volume Purgeable

•	Connections in use

•	Cache Hit Ratio

•	Read\Write Ratio

The Performance Indicators will display in three different colors.

RED	Indicates set parameters need investigating or possible action taken.
GREEN	Indicates everything is OK.
YELLOW	Indicates set parameters may need to be noted but do not require any action.
The SmartTune Performance Indicators dialog box includes push buttons.

Refresh	The Refresh button will update the CRT screen will current output data.
Print Report	The Print Report button will print out all the previously selected categories.
Print Topic	The Print Topic button will print out the currently selected category.
Help	The Help button will bring up NetTune's Help index.
Close	The Close button will end your session and exit.


Information Window Overview

The Information menu supplies you with detailed information on:

•	File server configuration

•	NLMs loaded

•	Current SET parameter values

•	Connections summary


Server Configuration Command

Use the Information/Server Configuration pull down menu to quickly check the server's configuration.

From the Server Configuration dialog box select any server in the Server's selection box.  Detailed, and vital, server configuration statistics and information will become accessible for that selected server.  This information is in Real-Time and is updated every five seconds.

 The following information can be found:

•	NetWare

•	LAN

•	Connections

•	Volumes

•	NLMs

•	Set Parameters

•	NetTune


Printing Configuration Topics and Reports

Any of the configuration information items, located in the Information selection box, can be printed.  Print Report will print out a group of previously selected information items.  Print Topic will print the currently highlighted information item in the Information selection box.

Related Topics:

Printing a Report

Printing a Topic


Printing a Report

To print multiple topics for a report use Print Report.

1.	Highlight a topic in the Information selection box.  Click the left mouse button once when your cursor is over your item selection.

Located on the dialog box's top right side is an image of a printer next to an empty check box.  This is the Printer check box.

2.	Click on the Printer check box to mark your selection for a multiple item Print Report. Selecting an item places an X in the Printer check box.

3.	Repeat this process over again (from step one) if you have more information items to include in your Information report.

4.	When you are through making item selections, from the Information selection box,  click on the Print Report button to begin printing.


Printing a Topic

To print a single information item read the following steps:

1.	Highlight a topic in the Information selection box.  Click the left mouse button once when your cursor is over your item selection.

2.	When you are through selecting an item, from the Information selection box, click on the Print Topic button to begin printing.


Selecting Servers from the DeskTop or Groups

The Server Configuration dialog box allows you to select specific file servers for viewing configuration information.  The Servers selection box, located at  the bottom left of the Server Configuration dialog box, displays icons representing groups that contain file servers.  By associating file servers with groups you can eliminate the clutter of displaying unwanted server icons and have a more organized NetTune desktop.

NetTune's default group is called DeskTop.

DeskTop may contain a single file server or many file servers.  The number of file servers associated with the DeskTop group depends on:

1.	How many file servers have the NetTune NLM installed on them.

2.	How many of those NetTune NLM installed file servers have been added to the DeskTop group.

Any file server(s) added to a group, after the NLM install is performed, will display an icon with the file server's name in a list tree for that group. To view the list tree containing the server's icon and server's name just double-click on the group's icon.  This will expand the group into a list tree.  The list tree will display all the file servers associated with that particular group.  To close the group's list tree double-click on its group icon.

Any additional groups you create will also display in the Servers selection box.  You can click on any group icon to expand the group's internal tree and display a list of all file servers associated with that group.

Related Topics:

Selecting NetWare Information

Selecting LAN Information

Selecting Connection Information

Selecting Volume Information

Selecting NLM Information

Selecting SET Parameters Information

Selecting NetTune Information


Selecting NetWare Information

1.	When the appropriate file server is chosen select Server Configuration from the Information pull-down menu.

2.	The NetWare Server Configuration dialog box will appear.

This is where you will find a quick display of NetWare's configuration information.


Selecting LAN Information

1.	Select Server Configuration from the Information pull-down menu.  The Server Configuration dialog box will appear.

2.	Click on LAN from the Information selection box on the top left of the screen. This will display the LAN Server Configuration dialog box.

This is where you will find a quick display of LAN configuration information.


Selecting Connection Information

1.	When the appropriate file server is chosen select Server  Configuration from the Information pull-down menu.  The Server Configuration dialog box will appear.

2.	Click on Connections Summary from the Information selection box on the top left of the screen.  This will display the Connections Server Configuration dialog box.

This is where you will find a quick display of LAN connection configuration information.


Selecting Volume Information

1.	When the appropriate file server is chosen select Server Configuration from the Information pull-down menu.  The Server Configuration dialog box will appear.

2.	Click on Volumes from the Information selection box on the top left of the screen.  This will display the Volume Server Configuration dialog box.

This is where you will find a quick display of the file server's volume configuration information.


Selecting NLM Information

1.	When the appropriate file server is chosen select Server Configuration from the Information pull-down menu.  The Server Configuration dialog box will appear.

2.	Click on NLMs from the Information selection box on the top left of the screen.  This will display the NLM Server Configuration dialog box.

This is where you will find a quick display of what NLMs are loaded, also version and description information.


Selecting SET Parameters Information

1.	When the appropriate file server is chosen select Server Configuration from the Information pull-down menu.  The Server Configuration dialog box will appear.

2.	Click on SET Parameters  from the Information selection box on the top left of the screen.  This will display the SET Parameters Server Configuration dialog box.

This is where you will find a quick display of what current SET parameters are being used for the file server, and their ranges.


Selecting NetTune Information

1.	When the appropriate file server is chosen select Server Configuration from the Information pull-down menu.  The Server Configuration dialog box will appear.

2.	Click on NetTune from the Information selection box on the top left of the screen.  This will display the NetTune Server Configuration dialog box.

This is where you will find a quick display of NetTune's configuration information.


NLMs Loaded Command

The NLMs Loaded command displays a report to the screen (it can be printed also) containing the following NLM information:

•	NLM Name

•	NLM Code size

•	NLM Data size

•	NLM Total size

•	NLM Version

•	NLM Date

•	NLM Description

1.	Select NLMs Loaded from the Information pull-down menu.

2.	The NLM Information Report will appear.


SET Parameter Values Command

The SET Parameters command displays a report to the screen (it can be printed also) containing the following SET Parameter information:

•	SET Parameter Name

•	Current Value

•	SET Parameter Range

1.	Select SET Parameters from the Information pull-down menu.

2.	The Set Parameters Information Report will appear.


Connections Summary Command

The Connections Summary command displays a report to the screen (it can be printed also) containing the following Connection information:

•	Connection Number

•	Login Name

•	Number of times connected

•	Requests

•	Reads

•	Writes

•	Net Address

1.	Select Connections Summary from the Information pull-down menu.

2.	The Connections Summary Information Report will appear.


Statistics Menu Overview

The Statistics menu provides pre-defined graphs and reports on all aspects related to NetWare statistics.  If the pre-defined graphs doesn't show information you desire, you can easily create your own custom graph or report.  NetTune gives complete control over your graphing and reporting environment.  You can produce a variety of custom reports and custom graphs for many topics.  Also you can adjust the recording interval (how many times data is to be collected) and the recording duration (how long the data is collected for).

Graphed charts display the amount of activity, on a file server, over a specified period of time.

Remember any graph can be changed to another style of graph (i.e.: 2D, 3D, Pie, Line, etc.)   This can be done by selecting the Graphs Option icon from the Toolbar menu or by selecting Customize\Graphs from the Statistics pull-down menu.

Related Topics:

Viewing Statistics in a Graph

Viewing Statistics in a Text Report

Printing Charts and Reports


Viewing Statistics in a Graph

You can view the actual statistics in a graph. To do this you must:

1.	Click on the Hot Key icon.  The cursor will change into a thick vertical arrow.

2.	Place the arrow cursor over the color segment you wish to view.

3.	Click and hold down the left mouse button.  This will show the actual numbers for that region of the graph.


Viewing Statistics in a Text Report

Another way to view the data, from a graph, is to output that data into an easy to read format, such as an ASCII text report.  To do this you must:

1.	Click on the Graph/Text icon.  This will change the Network statistics graph into a readable (and printable) text report.


Printing Charts and Reports

Any of the information found in the graphs, or the text reports, can be output to a printer for later reference.

While the graph, or the text report, is displaying on the screen select Print from the File pull-down menu.


Network Statistics

You can view a Network Statistics graph by selecting  Network Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of packet activity, over the network, for a specific period of time.  This activity is broken down into 3 parts; Packets Received, Packets Transmitted, and Packets Routed.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Disk Statistics

You can view a Disk Statistics graph by selecting Disk Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of disk activity for a specific period of time.  This activity is broken down into 3 parts; Disk Reads, Disk Writes, and Disk Requests.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Connection Statistics

You can view a Connection Statistics graph by selecting Connection Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of connection activity, on the server, for a specific period of time.  This activity is Current Stations.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Utilization Statistics

You can view a Utilization Statistics graph by selecting  Utilization Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of Utilization activity, on the server, for a specific period of time.  This activity is Percentage of Utilization.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Volume Statistics

You can view a Volume Statistics graph by selecting  Volume Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of Volume activity for a specific period of time.  This activity is broken down into 4 parts; Used, Available, Purgeable, Non-Purgable.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


LAN Segments Statistics

You can view a LAN Segments Statistics graph by selecting LAN Segments Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of LAN Segment activity, over the Network, for a specific period of time.  This activity is broken down into Total Packet for a LAN Adapter.

The representation of Total Packets for a LAN Adapter will depend on the amount of LAN adapters in the graphed file server.  Each LAN adapter will be represented by a different color in the Legend.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Memory Statistics

You can view a Memory Statistics graph by selecting  Memory Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of Memory activity for a specific period of time.  This activity is broken down into 5 parts; Cache memory, Permanent memory, Allocated memory, Movable memory, Non-movable memory.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Free Space Statistics

You can view a Free Space Statistics graph by selecting Free Space Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of Free Space activity for a specific period of time.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Read Ratio Statistics

You can view a Read Ratio Statistics graph by selecting  Read Ratio Statistics from the Statistics pull-down menu.  When the graph appears it will show an approximate Cache Hit Ratio amount, for Read activity, over a specific period of time.  This activity is broken down into 2 parts; Disk Reads, File Reads.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.    See Viewing and Printing Statistics.


Cache Buffers Statistics

You can view a Cache Buffer Statistics graph by selecting Cache Buffer Statistics from the Statistics pull-down menu.  When the graph appears it will show the amount of Cache Buffer activity for a specific period of time.  This activity is broken down into 4 parts; Current Cache Buffers, Directory Cache Buffers, Receive Cache Buffers, Dirty Cache Buffers.

You can view any Statistics graph as an ASCII text report, also you can print any Statistics graph or Statistics report.  See Viewing and Printing Statistics.


Customize Command

You can use the built-in reports on the Statistics pull-down menu to see the statistical information, but these graphs use fixed data points and cannot be changed.  The most advantageous way to see statistical information is to create custom reports.  Custom reports collect specific statistical information for you while you attend to business.

You should allow at least an hour to accumulate enough meaningful data that can be used to create useful reports.

Related Topics:

Creating a Custom Report

Customize Report Options

Graphing Options for Custom Reports

Completing a Custom Report


Creating a Custom Report

To create your own custom reports use the Statistics pull-down menu and select Customize.

1.	Select Customize from the Statistics pull down menu).

2.	The Customize Reporting dialog box will appear.  This dialog box will allow you many options for customizing reports to your specific requirements.


Customize Report Options

The Customize Reporting dialog box allows you to select a wide variety of options:

Report Type

A Real-Time report is based on server activity over a relatively short period of time.  Usually one minute to ten minutes, depending on what the Recording Interval and Recording Duration were set to.

A Short Term History report is based on server activity over a moderately short period of time.  Usually 24 hours.  The data for this report is stored in the short term database file, NT$HIST0.NTD.   Data for this file isusually collected (recorded) in 5 second intervals, so the detail of the graph is very fine.  It allows you a better picture to examine the activity over the server.

A Long Term History report is based on server activity over a long period of time.  This can be anywhere from six months to a year.  This data will be stored in the long term database file, NT$HIST1.NTD.  Data for this file is usually collected (recorded) in 5 minute intervals.  This gives a very good day-to-day picture of server activity.  To get more granularity to the picture you have to decrease the recording interval time, but for a long term history report this will make the database file grow in size.

Display Interval

Hours

The graph displays at desired intervals. The field Hours has a range of 0 to 23.

Minutes

The graph displays at desired intervals. The field Minutes has a range of 0 to 59.

Seconds

The graph displays at desired intervals. The field Seconds has a range of 0 to 59.

Range

Day

Selecting Day will show server data for one day.

Week

Selecting Week will show server data for seven days.

Month

Selecting Month will show server data for one month.

Quarter

Selecting Quarter will show server data for three months.

All

Selecting All will show server data every day.

Previous

By selecting the Previous check box you will be able to see previously recorded data for the time period that was chosen for Range.  To use the Previous check box your Report Type must have Long Term History selected.

Output

Comma Delimited File

Outputs the server collected data to a comma delimited ASCII file that can be imported into most spreadsheet programs.

ASCII Text File

Outputs the server collected data to a ASCII file that can be imported into any text editor.

Text Screen\Print

Outputs the server collected data as a Text report that is displayed to the screenor sent to the printer.

Graph Screen\Print

Outputs the server collected data as a Text report that is displayed to the screenor sent to the printer.

Time Range

Month

You can select a beginning Month and an ending Month.

Day

You can select a beginning Day and an ending Day.

Year

You can select a beginning Year and an ending Year.

Hour

You can select a beginning Hour and an ending Hour.

Minute

You can select the beginning minute and the ending minute.

Statistical Classes

Statistical classes are the areas of NetWare interest.  These areas range from Cache, Connections, Utilization, Disk Activity, FAT, Memory Pools, Processor, Etc.  The Statistical class is where you select the various network categories that you wish to create graphs and custom reports for.

Class Data Items

The Class data Items are items directly related to the Statistical Class topic.  If you select Disk Total for the Statistical class it will show you Disk Read and Disk Write totals for the data items in that Statistical Class.

Selected Data

The Selected Data is the data that you chose 	from the Class Data Items that you want represented in you custom graph or report.  You can select as many Class Data Item for a Rangesingle class as you like.  To select data double-click on the item or highlight the item and click on the Add button.  If you would like your graph to include all Class Data Items click on the Add All button.

The Customize Reporting dialog box also has push buttons located on the right side of the window .  These buttons are:

OK	The OK button accepts you current screen input and exits you out of the Customize Reporting dialog box.
Cancel	The Cancel button exits the Customize Reporting dialog box without saving any of the changes.
Help	The Help button will bring up NetTune's Help Index.  Which can answer questions on common user problems.
File	When you select a Comma Delimited or ASCII Text file this button becomes selectable.  When you click it on it will allow you to enter a name for your file.
Graph	The Graph button will bring up the Graph Options dialog box.
Add All	This will add all the items in the Class Data Items window to the Selected Data window.
Add	This will add one item from the Class Data Items window to the Selected Data window one at a time.
Remove	The Remove button will remove the highlighted Class Data Item from the Selected Data window.


Graphing Options for Custom Reports

When you select the Graph button from the Customize Reporting dialog box it opens the Graph Options dialog box.

The following is a breakdown of the check boxes, and windows that comprise the Graph Options dialog box.

Graph Type

The Graph Type is the type of graph or chart you wish to have represent your server data.  	There are many choices for graphs and charts like; 3D, 2D, Line, Pie, Gant, Bar, etc.

Graph Style

This selection box is dependent on what Graph Type you selected.  When you select a different Graph Type the choices in the Graph Style window will change.

Graph Title

For each graph you create you can give the graph a title.  This Title will always stay associated with the your graph.  The Graph Title check box when enabled will display the Title on the graph.  If the Graph Title check box is disabled the title will not display.

X Axis

The X Axis selection box controls the X (horizontal) coordinates for the graph.

Title check box

If this check box is enabled the X axis title will display.  If the check box remains empty the Title will not display.

Axis on Top check box

If this check box is enabled the X Axis will show 	on the top of the screen instead of the bottom.

Variable Origin check box

If this check box is enabled it allows you to isolate a portion of a graph and magnify into that portion of the graph.  This allows you to examine portions of large numbered graphs into sizes that are easier to interpret.  Forexample, if we had a graph that went from 0 to 3,000,000 our data points would become lost in such a large graph.  With Variable Origin we can identify the variable origin as 2,500,000 and see a more manageable range of numbers between 2,500,000 and 3,000,000.

NOTE

Variable Origin will not work with Stacked Graph Styles.

Data window

You can select how many points of data per page you will display.  To select a data point click on the up or down arrow for the window or enter the number directly into the text box.

Label window

You can select how many blocks of graphed data will be accompanied with a label.  For example if we select 2 Labels this would place a label on every other block of graphed data.  This helps in conserving display space when a lot of graphed data is displaying.

Tick Every window

You can select how many number of tick marks will display for the X axis.

Y Axis Section

The Y Axis selection box controls the Y (vertical) coordinates for the graph.

Title check box

If this check box is enabled the Y Axis Title will not display.  If the check box remains empty the Title will not display.

Axis On Right check box

If this check box is enabled the Y Axis will show on the right of the screen instead of the left.

Variable Origin check box

If this check box is enabled it allows you to isolate a portion of a graph and magnify into that portion of the graph.  This allows you to examine portions of large numbered graphs into sizes that are easier to interpret.  Forexample, if we had a graph that went from 0 to 3,000,000 our data points would become lost in such a large graph.  With Variable Origin we can identify the variable origin as 2,500,000 and see a more manageable range of numbers between 2,500,000 and 3,000,000.

NOTE

Variable Origin will not work with Stacked Graph Styles.

Labels check box

When this check box is enabled it removes the display of numbers on the left of the screen.  This allows the graph more display room.  If ten or more graphs are simultaneously displaying, you may want to use this feature.

Ticks window

You can select how many number of tick marks will display for the Y axis.  The default is 5.

Maximum window

You can select the maximum value to be graphed.  If this value is set to zero it defaults to auto scale mode.

Minimum window

You can select the minimum value to be graphed.  If this value is set to zero it defaults to auto scale mode.

Miscellaneous selection box

This is where you can make additional custom selections for:  Viewing internal numbers in a graph.  Printing patterns (representing graph colors.)Selecting legends for graphs. Choosing statistical line points.

Hot Spots check box

When the Hot Spots check box is enabled it will allow you to view detailed text information on a graph.

Patterns check box

When the Patterns check box is enabled it will allow you to print patterns representing graph colors.  This is useful when you do not own a color printer and wish to print out a graph or color segments.

Legends check box

When the Legends box is enabled it will show the Legend for your custom graph.

Statistical Line Type Only window

When a Line graph is chosen from the Graph Type window the Statistics Line Type Only window becomes active.  When it is active it will provide you with graphing options for Line graphs.  As with the Graph Style window, the Statistics Line Type Only window only becomes active when the proper Graph Type is selected from the Graph Type window.


Completing a Custom Report

1.	When you have finished selecting all the report options or graph options for your custom report, click on the OK button from the Customize Reporting dialog box.  This will display your custom graph on the screen.

2.	While the custom graph is on the screen, read the chapter Save Customize Command.


Save Customize Command

1.	To make a customized report permanent, select Save Custom from the Statistics pull-down menu.

2.	The User Custom Reports dialog box will appear.  Click on the Save button.

3.	This will bring up a name dialog box where you can give your custom report a name.  Type in a short descriptive name for your custom report, and click on the OK button.

4.	You will now be back at the User Custom dialog box.  Click on the Close button to save and end the session.

If you go back to the Statistics pull-down menu you will now notice your custom report appears in the Statistics pull-down menu.  This makes your custom report easy to access and use.

Related Topics:

Delete, Rename, or Update a Custom Report


Delete, Rename, or Update a Custom Report

If you have:

•	Accumulated a few custom reports that you no longer need.

•	Wish to update any of the custom reports already created.

•	Wish to rename a custom report.

You need to:

1.	Select Save Custom from the Statistics pull-down menu.

2.	The User Custom Reports dialog box will appear.  The dialog box will contain the names of all custom reports for the selected server.

3.	The Update, Delete, and Rename push buttons are all selectable.  Click on the report you wish to alter.  When the custom report becomes highlighted click on the button of your choice.

4.	Click on the Close button to end the session.

If you go back to the Statistics pull-down menu you will now notice your custom report is either renamed (if you selected Rename) or has been deleted (if you selected Delete) from the Statistics pull-down menu.


Recording Intervals

Before you load any NetTune NLM you may wish to set up your preferred historical recording intervals.  The preferred historical recording intervals, whether they are Real-Time, Short Term, or Long Term use two specific time collecting coordinates to allow NetTune to collect and record data.  The two user defined coordinates are Recording Interval and Recording Duration.  The Recording Duration collects the data for the user's defined time period.  The Recording Interval defines the how many times NetTune collects (or records) the data during the Recording Duration.  NetTune's NLM keeps three historical records of server activity:

NT$HIST0.NTD	This file contains short term recording interval information.  When this file reaches it's Maximum Size (defined by the Recording Intervals dialog box) it will self purge the oldest data in the file.  This is done so the file does not grow out beyond control.

NT$HIST1.NTD	This file contains long term recording interval information.  When this file reaches it's Maximum Size (defined by the Recording Intervals dialog box) it will self purge the oldest data in the file.

Real-time temp file A temporary file stored in the computer's memory containing the real time intervals.

You can control the recording intervals for each of these records.  Read the following instructions to select your preferred historical recording intervals.

1.	Select Recording Intervals from the Statistics pull down menu.  This allows you to access and modify your preferred recording intervals.

2.	When the Recording Intervals dialog box appears you need to select a time range, called the Recording Duration.  The Recording Duration defines a specific time period in which server data is to be collected until.  You also need to select a collection time, called an Recording Interval. The Recording Interval defines how many times, during that recording duration, NetTune will collect server data.

The Maximum Size and Current Size fields (found in the Recording Interval dialog box under Current Settings) are the sizes of the Recording Interval database files.  The Recording Interval database files, known as Statistical files, are created when an Recording Interval or Recording Duration time is supplied for Real-Time, Short Term, or Long Term data collection (see the following Table).

Recording Interval and Duration database file names

Type of Statistical Information	Statistical file names
Real-Time	A real-time temporary file in memory
Short Term	NT$HIST0.NTD
Long Term	NT$HIST1.NTD
The Maximum Size field is shown in bytes.  The Maximum Size field is based on a pre-calculated file size which comes from the Recording Interval and Recording Duration times that were chosen.   If you change the Recording Interval or Recording Duration time for Real-Time, Short Term, or Long Term data collecting, the Maximum Size field will  automatically recalculate and display a new allocated Maximum Size value for that collection period.

The Current Size field is shown in bytes. This is the Recording Interval database file's current size.  The Current Size field gives you an idea of how much hard disk space your current Recording Interval database file is occupying.

When the database file grows beyond the maximum size NetTune will begin its purging process on the database file.  NetTune will purge out the oldest data accumulated in the database file.  This will insure the database file doesn't grow beyond control, and the data is always current.

3.	NetTune has implemented default setting for both Recording Interval and Recording Duration, but if you need to change them use the scroll bars to scan the selection choices.  When the appropriate times are correct click on the SET button (to save yours changes) then click on the Close button.

The following Table shows the maximum and minimum time you are allowed to select for Recording Interval and Recording Duration times.

Maximum and Minimum times for Recording Interval and Recording Duration

	Interval	Duration
Real Time	5-30 seconds	1-10 minutes
Short Term	5-30 seconds	1-48 hours
Long term	1-60 minutes	1-400 days
Related Topics:

Using the Default Interval and Duration time


Using the Default Interval and Duration time

If you no longer require custom recording interval and duration settings, for a particular server, and want to use the default settings you need to:

1.	Highlight the appropriate server in the Server's window.

2.	After the correct server has been highlighted click on the Default button.

3.	Click on the Set button to save the default settings.

4.	Finally click on the Close button to exit from the dialog box.

The following Table shows the default times for Recording Interval and Recording Duration time.

Default times for Recording Interval and Recording Duration

	Interval	Duration
Real Time	5 seconds	3 minutes
Short Term	5 seconds	24 hours
Long term	5 minutes	90 days


Maps Menu Overview

NetTune provides you with NLM memory information and how it relates to the total system's memory for a file server.  This information can be obtained through the Maps menu.


NLM Memory

NLM Memory shows how much total segmented memory a particular NLM is using on a file server.

To select NLM Memory:

1.	Select the Maps Menu and then click on NLM Memory.

In addition to displaying the total segmented memory an NLM occupies, it also displays what parts of segmented memory that NLM is occupying, and how much of that memory is the NLM using.

To view this information you need to:

1.	When Memory Graphs display, NetTune's defaults to the Hot Key On. This means you can move the thick arrow cursor to any location in the graph and view the detailed information.

Turning off Hot Key

If NetTune's cursor doesn't change, select the Hot Key icon (see above), from NetTune's Toolbar.   Clicking the Hot Key icon, on and off, will turn the Hot Key feature on and off.

2.	Move this arrow to any location in the memory that is being occupied by the NLM.

3.	Click (and hold down) the mouse button for that section of memory.  This will give an accurate reading of what is stored in that part of memory, for that particular NLM.  It will also display how much space the different parts of the NLM are using.

The NLM Memory Map legend represents what segments of memory the selected NLM is occupying, and how much of that memory segment the NLM is using.

NOTE

The NLM Memory graph will display LOADER.EXE.  This is because LOADER.EXE is part of NetWare's operating system.  SERVER.EXE  will load LOADER.EXE, which is used by SERVER.NLM  to handle DOS.


Memory Pool

Memory Pool shows where (in the system's total segmented memory) an application, utility, NLM, or data resides.

To select Memory Pool :

1.	Select the Maps Menu and click on Memory Pool.

This information can tell you how much memory an application or NLM is using, and also where in the system's total memory that application or NLM is residing.  This makes it easy for users to choose NLM's they might want to unload in the event system memory becomes limited.

To see this information you need to:

1.	When Memory Graphs display, NetTune's defaults to the Hot Key On. This means you can move the thick arrow cursor to any location in the graph and view the detailed information.

Note on the Hot Key Icon

If NetTune's cursor doesn't change, select the Hot Key icon (see above), from NetTune's Toolbar.   Clicking the Hot Key icon, on and off, will turn the Hot Key feature on and off.

2.	Move this arrow to any segment location in the system's total memory to see what is occupying that segment of memory.

3.	Click (and hold down) the mouse button for that segment of memory.  This will give an accurate reading of what is stored in that part of the system's segmented memory, and how much segmented memory is being occupied by an application or data.

The Memory Pool Map legend represents what segments of the system's total memory the data is occupying, and how much of that memory segment the data is using.


Tools Menu Overview

The Tools menu provides you with options on installing the NetTune NLM (on any file server) or automatically loading Novell's RCONSOLE, which allows you to load and unload NLM's from inside the NetTune application.


NLM Install Command

The NLM install command will allow the user to install NetTune's NLMs onto any file server.

Related Topics:

About the file server install

Getting Started

Additional Notes on the NLM Install


Chapter 11  Tools Menu - NLM Install Command - About the file server install
About the file server install

NetTune is shipped with five NLMs and two NCF files:

•	NET31X.NLM - The NetWare 3.1x data collection module.

•	NETTUNE.NLM - This contains the engine for collecting the historical database information.

•	DPATCH.NLM - This disk statistics v1.00 patch contains the Novell fix to NetWare version 3.11.  When used it allows statistical disk information to be collected. This NLM is required if you are running NetWare version 3.11.

•	NTCONVRT.NLM - This NLM converts NetTune version 1.20 databases to NetTune version 2.00 databases.

•	SMARTUNE.NLM - This NLM contains the engine for parameter setting, smart tuning, and time tuning.

•	TUNE.NCF - NetWare NCF file used to load the NLMs.

•	UNTUNE.NCF - NetWare NCF file used to unload the NLMs.


Chapter 11  Tools Menu - NLM Install Command - Getting Started
Getting Started

Installing the NetTune file server software.

NOTE

NetTune automatically loads the NLMs into the SYSTEM directory of the selected file server's SYS: volume.

1.	Click on the number 3 button from NetTune's Quick Start dialog box.  This allows you to install NetTune's NLM to one or more file servers.

2.	NetTune's NLM install dialog will appear.  Under the Show Servers selection box you will see three options:

•	Not Running NetTune - This displays all the file server's that currently do not have NetTune's NLM loaded.

•	Running an Old Version of NetTune - This displays all the file server's that currently have NetTune's NLM loaded, but are running an older version of NetTune.

•	ALL - This displays all the file servers.  It has no concern for NetTune.

Since this is a first time install select the Not Running NetTune button.  In the "Servers" box you should see a list of file servers that are not currently installed with NetTune.

Select the file server(s) you wish to load the NLM software on to.  The Installation program allows you to make multiple file server selections.

To select a file server, place the mouse pointer over the server's name and click on the left mouse button once.  After your server selection is made the Install button becomes selectable.

Click on the Install button.

3.	During the NLM install process an installation meter will display the percentage of completed installation.

When the NLM installation has completed the RCONSOLE request dialog box will appear.

Selecting Yes to the RCONSOLE dialog box causes NetTune to automatically load Novell's RCONSOLE.  This provides you with a user interface for loading NETTUNE.NLM or SMARTUNE.NLM.

Click on the Yes button.

If RCONSOLE fails to load it might be for one of the following reasons:

•	Not having console rights to that file server.  Check that you are logged in as SUPERVISOR or that you have console rights as a user.

•	Not enough memory available.   Try freeing up some resources to release some available memory.

•	The RCONSOLE.PIF contains the wrong path.   Make sure the program information file has the correct path to RCONSOLE.

4.	When the file server prompt appears you can enter the following commands to get NetTune operating.

If you desire tuning performance, load the SmartTune module by typing:

TUNE

NOTE to SmartTune user's

The TUNE.NCF file automatically loads SMARTUNE.NLM in read/write mode but with tuning disabled.  To disable the write mode, edit the TUNE.NCF file and remove the "W" option..


Chapter 11  Tools Menu - NLM Install Command - Additional Notes on the NLM Install
Additional Notes on the NLM Install

NetTune depends on other NLMs.  When TUNE.NCF is executed at the file server, dependent NLM's are automatically loaded.  This eliminates the manual loading of NLM's from the server's console.

The UNTUNE.NCF file automatically unloads the NLMs in the reverse order that they were loaded.

To automate the task of loading NetTune or SmartTune's NLM, place the load command at the bottom of your AUTOEXEC.NCF file.


RCONSOLE Command

If you select RCONSOLE from the Tools menu it will automatically load Novell's RCONSOLE.

RCONSOLE allows you a quick and convenient way to load, or unload, any NLM. If you have any problem loading RCONSOLE, from NetTune, check that you have console rights.

When you are finished using RCONSOLE you can exit RCONSOLE by pressing the <SHIFT> <Esc> keys at the same time.  Answer Yes to the question "Do you want to quit RCONSOLE?" and press the <Enter> key.


Options Menu Overview

A number of optional commands are available in the Options pull-down menu. To select the Options menu click on Options from NetTune's Menu Bar, this causes the Options menu to appear.


Save Settings on Exit

NetTune allows you to save a particular desktop setting through the Save Setting On Exit command.  By default, NetTune will save the desktop setting by writing your selection out to the NETTUNE.INI file.  When you re-enter NetTune it reads NETTUNE.INI , and restores the desktop from the information it reads.  You can create other desktop INI files for NetTune, which contain other desired desktop settings.  To read an INI file that is not NETTUNE.INI  (NetTune's default INI file) you need to include the INI file's name on the command line that runs NetTune from Windows.

To do this you:

1.	Click once on NetTune's icon from Program Manager's desktop.  This will highlight NetTune's icon.

2.	Select the File pull-down menu from Program Manager's menu bar.

3.	When the Program Item Properties dialog box appears go to the Command Line field.  At the end of the path string for NetTune, leave a space and then type in the name of the substitute INI file.

4.	Select Save Settings On Exit from the Options pull-down menu.  This will un-mark your selection by removing the check mark.


Group Management

Adding server icons to your NetTune desktop

NetTune allows you to organize your servers into groups.  This allows you to manage more servers, while at the same time reducing clutter on the NetTune desktop.  Read the following steps on creating a group for your server.

1.	Select Group Management from the Options menu pull-down.

2.	The Group management dialog box will appear.  Click on the New button.

3.	The Group Management Name dialog box will appear.  Move the mouse pointer to the Name field and click once.  This will allow you to enter a descriptive group name.

4.	Type the name "TEST GROUP" in the Name field and click on the OK button to save the new group.

5.	You will now see the Group Management dialog box.  This is where you can add servers to the newly created group, TEST GROUP.

NOTE

NetTune limits for Groups and Servers per Group. 255 Groups

255 Servers per Group

6.	Select the server you want to add to TEST GROUP by highlighting that server and clicking on the Add button.

7.	The file server has now been placed in the Group/Servers selection box.

8.	When you are finished creating groups click on the Close button to save your selection.

9.	You will now see the TEST GROUP icon appearing on NetTune's desktop.  This icon contains the servers that will be used in the group TEST GROUP.


Deleting server icons in your DeskTop group

1.	If you wish to delete a server from a group you can highlight the server in the Group/Servers selection box and click on the Delete button.

2.	A decision dialog box will appear.  Click on the Yes button if you want to delete the file server from the group, or click on the No button to cancel the deletion.

3.	If you clicked on the Yes button the server is removed from the NetTune's default group called DeskTop.

4.	When you are finished deleting groups click on the Close button to save your selection.

Related Topics:

Push Buttons for Group Mgmt dialog box


Push Buttons for Group Mgmt dialog box

Here is a list of the push buttons that make up the Group Management dialog box.

ADD	The Add button will add the highlighted selected server(s) to a selected group.
ADD ALL	The Add All button will add all NetTune server's to a selected group.
CLOSE	The Close button will end the session and exit out of the Group Management dialog box.
HELP	The Help button will bring up NetTune PRO's Help index.
SHOW	The Show button will display all server and group icons on NetTune's desktop.
HIDE	The Hide button will hide all server and group icons from displaying on NetTune's desktop.
DELETE	The Delete button will delete a highlighted server from a selected group.
NAME	The Name button will create a new group in the Groups/Servers selection box.
RENAME	The Rename button will rename a selected group to another name.


Login Command

When the Login command is selected the Login dialog box displays.

The Login dialog box is used to login to a file server.  You may need to login to gain console rights in order to perform an NLM install.  The error message "Invalid login!" may indicate that your login ID or password was invalid, or that no more connections were available on the server.

To log on to a file server:

1.	Enter in a user name.

2.	Enter in a user password.

3.	Click on the Login button.

NOTE

Logging into a File Server may change your access rights or drive mappings.


Logout Command

When the Logout command is selected the Logout dialog box displays.

The Logout dialog box is used to break the current workstation to file server connection.

To log out of a file server:

1.	Click on the Logout button.

NOTE

You may want to logout to free network connections, or give up your login rights for security management.


Login Status Command

When the Login Status command is selected the Logout dialog box displays.

The Login Status dialog box is used to enable or disable logins to the file server.  If disabled, any user logging on the network would be unable to do so. The default for Login Status is Enabled.

To Disable logins:

1.	Click on the Logins Enabled check box.

2.	Click on the OK button.

NOTE

Be certain you desire to disable logins to the file server before you exit this dialog box.


Down Server Command

It is necessary to shutdown a file server from time to time for maintenance.   The Down Server dialog box is used to gracefully shutdown a file server.

NOTE

Scheduled shutdowns are the most desirable. Downing a file server "cold" guarantees damage to user files. This command should be executed only after all users have logged off the server.

Before shutting down the file server warn all users.

You must be a Supervisor or have Supervisor equivalency to use the Down Server command.  If you do not have this right then you will not be able to down the file server from the workstation.


Toolbar and Status Bar Command

These two commands are used to toggle on or off the Toolbar or Status Bar displays.

The Toolbar is used to display the icon representation for some of NetTune's most common commands.  The Status bar (at the bottom of NetTune's desktop) is used to display information on:

•	The menus

•	The file server's name

•	The file server's NetWare version

•	The user's name

•	Information on the keyboard's lock status

When a command is activated, the associated screen elements will display, and a check mark appears before the command in the Options menu.  To deactivate a command simply re-select the command so the check mark is removed.  This will free up more display room on your desktop.

Related Topics:

NetTune Toolbar Icons


NetTune Toolbar Icons

The Toolbar is a graphical bar with command buttons that perform some of the most common commands in the NetTune program.

To use the Toolbar, you move the mouse pointer to the icon representing the command you want execute, and then click the left mouse button.

The following pages contain the Toolbar's icon name and a brief description of what the icon can do.

NetTune Toolbar Icons

Toolbar Icon	Icon Name	Action
	Save	Save the current file.
	Cut	Cut the selected block and place it on the clipboard.
	Copy	Copy the selected block to the clipboard.
	Paste	Insert a copy of the clipboard contents.
	Print	Print the active file.
	Customize Report	Allows you select Date and Time interval and Report type.
	Increase Time Interval	Increases the time interval of the data that you are viewing.
	Decrease Time Interval	Decreases the time interval of the data that you are viewing.
	Graph Data\Text Data	Shows the data of a graph as an ASCII text report, or vice-versa.
	Graph Options	This icon will bring up the entire graph options dialog box, which will allow you to select any graphing option you want.
	HOT KEY NOTE:                    This feature can consume memory.	Click on and cursor changes to a thick arrow.  Place the arrow over any graph of data, and click the mouse button. It displays the actual numbers for that region of graphed data.
	Increase Data Points	Increases the data points on a graph.
	Decrease Data Points	Clears the data points on a graph.
	NetTune Advisor	Makes recommendations for optimizing set parameters.
	Help	Display the help information.
	Context Sensitive Help	Context sensitive help that displays the help information selected by the mouse.


Window Menu Overview

The Window menu is located on the right side of the Menu Bar at the top of the NetTune Window.  The commands in this menu allow you to control the display of application windows. A number of optional commands are available in the pull-down menu.

To open the pull-down command menu, position the mouse cursor over the Window menu, and then click the left mouse button.


Cascade Command

The Cascade command is used to arrange all open application windows so that they are visible in the NetTune window.  The command causes the windows to overlap so that each open application title bar is visible.


Tile Vertical Command

The Tile Vertical command is used to arrange all open application windows so that they are visible in the NetTune window. The command causes the windows to vertically stack so that each open application window is visible.


Tile Horizontal Command

The Tile Horizontal command is used to arrange all open application windows so that they are visible in the NetTune window.  The command causes the windows to horizontally stack so that each open application window is visible.


Arrange Icons Command

The Arrange Icons command is used to organize all scattered icons. The command causes the icons to align at the bottom of the NetTune window so that each icon is visible.


Application Windows Commands

NetTune will permit you to have several windows and icons open simultaneously. The Window command displays these at the bottom of the cascading menu.  To select the window you want, simply click on the name.

If more windows are open than can be displayed in the cascading menu, the command "More Windows..." appears at the bottom of the Window menu. Click on the More Windows command to open the Select Window dialog box.

The Select Window dialog box is used to view a list of all windows.  Click on the window you desire to switch to.


The Help Menu

Selecting the Help menu allows you to:

•	Access the Help Index for NetTune.  The Help Index is an alphabetical listing of all NetTune commands and concepts.

•	Access the Using Help utility. The Using Help utility brings up an alphabetical listing of all the concepts related to using Window's help.

•	Access the Quick Start dialog box for additional configuration changes.

•	Access the NetTune Advisor.  Which gives suggestions for parameter setting.

•	View the About dialog box.

Related Topics:

Index Command

Using Help Command

NetTune Quick Start Command

NetTune Advisor Command

About NetTune Command


Index Command

The Index command opens NetTune's Help Index window.  The on-line Help Index contains important information about the following NetTune information:

•	On-line Help Manual

•	Server Statistics Reference

•	NetWare Tuning and Optimization

•	NetWare Menu Descriptions

•	HawkNet Information and Technical Support


Using Help Command

The Using Help command opens the How to Use Help window.  If you have not learned how to use Window's Help, you can use the on-line help to get information regarding any Help command.


NetTune Quick Start Command

The Quick Start command allows you to install NLMs, view a server's configuration, set up Recording Intervals, and create Groups for NetTune's desktop.


NetTune Advisor Command

The NetTune Advisor is an on-line Help utility that can is located on NetTune's tool bar, or in the Help pull-down menu.

The NetTune Advisor makes recommendations for optimizing common network operations.  Currently the NetTune Advisor gives advise for:

•	Optimizing backups

•	Optimizing database activity

•	Optimizing transaction response time

•	Reducing the CPU's  work load

•	Reducing memory constraints


About NetTune Command

The About NetTune command brings up the About dialog box containing information about the NetTune program.


Versions Command

The Versions command brings up a dialog box containing information about the NetWare versions.

The versions dialog box displays:

•	The NetTune Icon

•	Version of program

•	Copyright information

•	The NETX VIPX and IPX program versions

•	Amount of available system resources and memory


The Help Icons

Along with NetTune's Help menu, NetTune also provides help through its Help icons.  The Help icons can be found on the right side of the Toolbar.  The Help icons provide you with fast access to either the Help Index or the Context Sensitive Help.

You can bring up the Help Index by clicking on the Help Index icon.  Position the mouse cursor over the Help Index icon and click the left mouse button.

NetTune also includes context sensitive help, which allows you to locate information on specific topics quickly.  The context sensitive help can be identified by the Context Sensitive Help icon.  It is located on the right side of the Toolbar.

To get context sensitive help on a specific topic you need to:

1.	Click on the Context Sensitive Help icon, from the Toolbar.

2.	From NetTune's Menu bar click on any menu item.  This will bring up.context sensitive help for that specific topic.


Printing Help Topics

You may want to print information on a specific help topic.  There are two ways to print information on any help topic.

Related Topics:

Printing Help Topics via NetTune's Help utility

Printing Help Topics through NetTune


Printing Help Topics via NetTune's Help utility

One way to print help topics is to use NetTune's Help utility.  This utility will print out any of the help screens.

1.	From NetTune's Menu bar select Help.

2.	Click on Index from the Help pull-down 	menu.

3.	NetTune's Help utility will display.

4.	Select the appropriate topic you wish to print by moving the mouse pointer over that topic.

Note:	The mouse pointer will change into a hand as it scans the hyper-sensitive topics.

Click on the left mouse button to display the help topic.

5.	Next go to NetTune's Help menu bar and select File.

6.	Click on Print Topic to start printing your selected topic.


Printing Help Topics through NetTune

The second way of printing help topics is by using the Context Sensitive Help icon located on NetTune's Toolbar.

1.	Select the Context Sensitive Help icon from the Toolbar.  To select the icon double click on the icon with the left mousebutton.

Note:	The mouse cursor will change to an arrow in the shape of a question mark.

2.	Use the question mark cursor to scan through NetTune's Menu bar.  When you see a menu topic of interest you can print the topic by double clicking the left mouse button on the selected topic.

3.	When the help screen appears go to NetTune's Menu bar and select File.

4.	Click on Print Topic to send the context sensitive help information to the printer.

The error messages are broken down in to four categories; Startup Errors, Server Related Errors, Parameter Related Errors, and Windows Related Errors.


Startup Errors

Messages:

Network Error XXXX VIPX.386 is not loaded!

VIPX.386 VX.X is not compatible!

Network Error XXXX Opening NetTune Socket!

Report the XXXX error number to Technical Support.  These errors usually indicate that your are running out of date or incompatible windows drivers for your network.  NetTune takes advantage of bug fixes and enhancements in the latest Novell network drivers for Windows.  The latest versions of these  NetWare drivers can be obtained from the BBS.

Check the list below if these error messages are encountered.

•	Check that your workstation is running on DOS version 5.0 of higher.

•	Check that WINDOWS is 3.1 or higher.

•	Check that WINDOWS is running in 386 Enhanced mode.

•	Check that all your Network shells are current.

•	Check that your SYSTEM.INI file has the line:

Network=...,VIPX.386

•	Check that the VIPX.386 version is 1.17 or later.

•	Use NWCALLS.DLL and NWIPXSPX.DLL that ships with NetTune.

Message:

Unable to initialize network!

This message is displayed right before NetTune exits, if one of the above conditions is encountered.


Server Related Errors

Message:

The NetTune NLM running on this server is not compatible with this version of the NetTune windows application.  Please upgrade your NetTune NLMs.

The NLMs were not upgraded from an older version.  You must upgrade the NLM to version 2.00 in order for this version of the Windows application to be able to manage the server.

Message:

The NetTune Evaluation NLM on this server has expired!  Contact about upgrading to a production release of the NLM.

The 30 day evaluation for this NLM has expired.  As a courtesy, the NLM will continue to collect data into the History database, but you must upgrade to a production release in order to manage this server.

Message:

The NetTune NLM was loaded in read-only mode. The requested change was not made.

The NLM was loaded without the "W" option. Unload and reload the NLM with the "W" option.

Message:

Error encountered during detachment from server.

Unable to disconnect error, NetWare either lost the connection, or the server is down.

Message:

The NetTune NLM did not respond!

The NetTune NLM did not respond.  It may have been unloaded, or the path to server is no longer not available. All server objects will be removed.

Message:

Error encountered during attachment to server.

The file server is out of connections, or a NetWare error occurred. Close the server object, and then reopen to reinitialize the connection.

Message:

Invalid Login!

Can indicate that the name for a password was bad.  Also, may indicate that the connection to the server is no longer valid.  Close the server, and then reopen to reinitialize the connection.

Message:

The selected NCF file does not exist!

The NetTune NLM could not find the NCF file on the server C: or A: drive, or in the SYS:\SYSTEM directory.


Parameter Related Errors

Message:

The value entered is not in the range for this parameter.

The parameter value is not in range.  Check the User's Guide or the On-line Help for the proper ranges.


Windows Related Errors

Message:

WINDOWS timer limit exceeded! A timer resource was not available for this real-time report.

Windows only allows a total of 32 timers. Other applications may be using timers. Close unused real-time Windows.

Note:	Timers are a Windows resource.  The Timer allows the Windows operating system to update the real-time graph when the Timer's time interval has lapsed.

Message:

Error Opening Export File!

Indicates that the volume is out of disk space, or the directory does not exist.

Messages:

Error creating object.

Bad server Object!

Unable to kill real-time timer.

Internal errors - Possible low memory conditions.  Check the amount of free memory and system resources and report the error to Technical Support.